// (C) 2001-2022 Intel Corporation. All rights reserved.
// Your use of Intel Corporation's design tools, logic functions and other 
// software and tools, and its AMPP partner logic functions, and any output 
// files from any of the foregoing (including device programming or simulation 
// files), and any associated documentation or information are expressly subject 
// to the terms and conditions of the Intel Program License Subscription 
// Agreement, Intel FPGA IP License Agreement, or other applicable 
// license agreement, including, without limitation, that your use is for the 
// sole purpose of programming logic devices manufactured by Intel and sold by 
// Intel or its authorized distributors.  Please refer to the applicable 
// agreement for further details.


//-----------------------------------------------------------------------------------------------//
//   Generated with Magillem S.A. MRV generator.                                  
//   MRV generator version : 0.2
//   Protocol :  AVALON
//   Wait State : WS1_OUTPUT                                         
//   Date : Mon Aug 07 18:21:50 PDT 2017           
//-----------------------------------------------------------------------------------------------//


//-----------------------------------------------------------------------------------------------//
//   Verilog Register Bank
//   Component Name: alt_cpriphy_c3_csr
//   File Ref: /data/karlche1/crete2eRDL_mod/crete2e_csrgen_output/_workspace_mrv_gen_py_/xmlProject/_local_copy_Vendor_Library_s10_htile_ehip_1.0.xml                                             
//   Magillem Version :   5.8.2.3_engineering                                                                         
//-----------------------------------------------------------------------------------------------//
// 
`timescale 1ps/1ps

module alt_cpriphy_c3_csr (
// register offset : 0x302, field offset : 0, access : RO
// register offset : 0x303, field offset : 0, access : RO
// register offset : 0x304, field offset : 0, access : RO
// register offset : 0x310, field offset : 0, access : RW
output  reg  phy_config_eio_sys_rst ,
// register offset : 0x310, field offset : 1, access : RW
output  reg  phy_config_soft_tx_rst ,
// register offset : 0x310, field offset : 2, access : RW
output  reg  phy_config_soft_rx_rst ,
// register offset : 0x310, field offset : 4, access : RW
output  reg  phy_config_set_ref_lock ,
// register offset : 0x310, field offset : 5, access : RW
output  reg  phy_config_set_data_lock ,
// register offset : 0x313, field offset : 0, access : RW
output  reg [3:0] phy_pma_sloop_sloop ,
output  reg       dis_rsfec,
output  reg       txAdpt_to_rxAdpt_loopback,
// register offset : 0x320, field offset : 0, access : RO
// register offset : 0x321, field offset : 0, access : RO
// register offset : 0x322, field offset : 0, access : RO
// register offset : 0x340, field offset : 0, access : RO
// register offset : 0x341, field offset : 0, access : RO
// register offset : 0x342, field offset : 0, access : RO
// register offset : 0x402, field offset : 0, access : RO
// register offset : 0x403, field offset : 0, access : RO
// register offset : 0x404, field offset : 0, access : RO
// register offset : 0x502, field offset : 0, access : RO
// register offset : 0x503, field offset : 0, access : RO
// register offset : 0x504, field offset : 0, access : RO
// register offset : phy_txclk_khz, field offset : 0, access : RO
input  [31:0]  phy_txclk_khz_khz_tx_i,
// register offset : phy_tx_pll_locked, field offset : 0, access : RO
input  [3:0]  phy_tx_pll_locked_tx_pll_locked_i,
// register offset : phy_recclk_khz, field offset : 0, access : RO
input  [31:0]  phy_recclk_khz_khz_rx_i,
// register offset : phy_tx_corepll_locked, field offset : 0, access : RO
input    phy_tx_corepll_locked_tx_pcs_ready_i,
// register offset : phy_eiofreq_locked, field offset : 0, access : RO
input  [3:0]  phy_eiofreq_locked_eio_freq_lock_i,
// register offset : phy_refclk_khz, field offset : 0, access : RO
input  [31:0]  phy_refclk_khz_khz_ref_i,

input   [31:0]  mac_rx_adapt_dropped_frame_lo,
input   [31:0]  mac_rx_adapt_dropped_frame_hi,
output  reg     mac_rx_adapt_clear_dropped,

input           i_sl_cpri_fec_en,
input  [3:0]    i_sl_cpri_rate_sel,
input           i_sl_measure_valid,
input  [20:0]   i_sl_tx_delay_sclk,
input  [20:0]   i_sl_rx_delay_sclk,
input  [4:0]    i_sl_rx_bitslipboundary_sel,

output  reg     sl_dl_master_reset,

// Interrupt Ports
//Bus Interface
input clk,

input reset,
input [31:0] writedata,
input read,
input write,
input [3:0] byteenable,
output reg [31:0] readdata,
output reg readdatavalid,
input [11:0] address

);

wire reset_n = !reset;  

// Protocol management
// combinatorial read data signal declaration
reg [31:0] rdata_comb;

// synchronous process for the read
always @(posedge clk)  
   if (!reset_n) readdata[31:0] <= 32'h0; else readdata[31:0] <= rdata_comb[31:0];

// read data is always returned on the next cycle
always @( posedge clk)
   if (!reset_n) readdatavalid <= 1'b0; else readdatavalid <= read;
//
//  Protocol specific assignment to inside signals
//
wire  we = write;
wire  re = read;
wire [11:0] addr = address[11:0];
wire [31:0] din  = writedata [31:0];
// A write byte enable for each register
// register phy_config with  writeType:  write
wire      we_phy_config     =   we  & (addr[11:0]  == 12'h310)  ?   byteenable[0]   :   1'b0;
// register phy_pma_sloop with  writeType:  write
wire      we_phy_pma_sloop      =   we  & (addr[11:0]  == 12'h313)  ?   byteenable[0]   :   1'b0;

wire    we_mac_rx_adapt_clear_dropped = we  & (addr[11:0]  == 12'h512)  ?   byteenable[0]   :   1'b0;

wire    we_sl_dl_master_reset = we  & (addr[11:0]  == 12'hC01)  ?   byteenable[0]   :   1'b0;



// A read byte  enable for each register


/* Definitions of REGISTER "phy_name_0" */

// phy_name_0_id
// customType  RO
// hwAccess: NA 
// NO register generated


/* Definitions of REGISTER "phy_name_1" */

// phy_name_1_id
// customType  RO
// hwAccess: NA 
// NO register generated


/* Definitions of REGISTER "phy_name_2" */

// phy_name_2_id
// customType  RO
// hwAccess: NA 
// NO register generated


/* Definitions of REGISTER "phy_config" */

// phy_config_eio_sys_rst
// bitfield description: Ethernet IO System Reset
// 1:Reset the PMA (starts the PMA's internal reset sequence)
// customType  RW
// hwAccess: RO 
// reset value : 0x0 

always @( posedge clk)
   if (!reset_n)  begin
      phy_config_eio_sys_rst <= 1'h0;
   end
   else begin
      if (we_phy_config) begin 
         phy_config_eio_sys_rst   <=  din[0];  //
      end
end

// phy_config_soft_tx_rst
// bitfield description: Soft TXP Reset
// 1:Reset the TX PLL
// customType  RW
// hwAccess: RO 
// reset value : 0x0 

always @( posedge clk)
   if (!reset_n)  begin
      phy_config_soft_tx_rst <= 1'h0;
   end
   else begin
      if (we_phy_config) begin 
         phy_config_soft_tx_rst   <=  din[1];  //
      end
end

// phy_config_soft_rx_rst
// bitfield description: Soft RXP Reset
// 1:Reset the RX PLL
// customType  RW
// hwAccess: RO 
// reset value : 0x0 

always @( posedge clk)
   if (!reset_n)  begin
      phy_config_soft_rx_rst <= 1'h0;
   end
   else begin
      if (we_phy_config) begin 
         phy_config_soft_rx_rst   <=  din[2];  //
      end
end

// phy_config_set_ref_lock
// bitfield description: Set ref lock
// 1:Force PLL to lock to reference
// customType  RW
// hwAccess: RO 
// reset value : 0x0 

always @( posedge clk)
   if (!reset_n)  begin
      phy_config_set_ref_lock <= 1'h0;
   end
   else begin
      if (we_phy_config) begin 
         phy_config_set_ref_lock   <=  din[4];  //
      end
end

// phy_config_set_data_lock
// bitfield description: Set data lock
// 1:Force PLL to lock to data
// customType  RW
// hwAccess: RO 
// reset value : 0x0 

always @( posedge clk)
   if (!reset_n)  begin
      phy_config_set_data_lock <= 1'h0;
   end
   else begin
      if (we_phy_config) begin 
         phy_config_set_data_lock   <=  din[5];  //
      end
end

/* Definitions of REGISTER "phy_pma_sloop" */

// phy_pma_sloop_sloop
// bitfield description: Activate Serial Loopback
// 1:Force corresponding physical lane to receive serial data from its own transmitter instead of from its RX serial pins
// customType  RW
// hwAccess: RO 
// reset value : 0x0 

always @( posedge clk)
   if (!reset_n)  begin
      phy_pma_sloop_sloop <= 4'h0;
      txAdpt_to_rxAdpt_loopback <= 1'h0;
      dis_rsfec <= 1'h0;
   end
   else begin
      if (we_phy_pma_sloop) begin 
         phy_pma_sloop_sloop[3:0]   <=  din[3:0];  //
      txAdpt_to_rxAdpt_loopback <= din[4];
      dis_rsfec <= din[5];
      end
end

always @( posedge clk)
   if (!reset_n)  begin
      mac_rx_adapt_clear_dropped <= 4'h0;
   end
   else begin
      if (we_mac_rx_adapt_clear_dropped) begin 
         mac_rx_adapt_clear_dropped   <=  din[0];
      end
end

/* Definitions of REGISTER "phy_tx_pll_locked" */

// phy_tx_pll_locked_tx_pll_locked
// bitfield description: TX PLL Locked
// 1=TX PLL used by this lane physical lane is locked
// customType  RO
// hwAccess: WO 
// reset value : 0x0 
// inputPort: "EMPTY" 
// outputPort:  "" 
// NO register generated


/* Definitions of REGISTER "phy_eiofreq_locked" */

// phy_eiofreq_locked_eio_freq_lock
// bitfield description: CDR PLL locked
// 1:Corresponding physical lane's CDR has locked to reference
// customType  RO
// hwAccess: WO 
// reset value : 0x0 
// inputPort: "EMPTY" 
// outputPort:  "" 
// NO register generated


/* Definitions of REGISTER "phy_tx_corepll_locked" */

// phy_tx_corepll_locked_tx_pcs_ready
// bitfield description: TX Clock Stable
// 1:TX Clocks for corresponding TX PCS are stable and ready for use
// customType  RO
// hwAccess: WO 
// reset value : 0x0 
// inputPort: "EMPTY" 
// outputPort:  "" 
// NO register generated


/* Definitions of REGISTER "phy_refclk_khz" */

// phy_refclk_khz_khz_ref
// bitfield description: Refclk frequency
// Reference clock frequency/100, in KHz
// customType  RO
// hwAccess: WO 
// reset value : 0x00000000 
// inputPort: "EMPTY" 
// outputPort:  "" 
// NO register generated


/* Definitions of REGISTER "phy_recclk_khz" */

// phy_recclk_khz_khz_rx
// bitfield description: Recovered clock frequency
// Recovered clock frequency/100, in KHz
// customType  RO
// hwAccess: WO 
// reset value : 0x00000000 
// inputPort: "EMPTY" 
// outputPort:  "" 
// NO register generated


/* Definitions of REGISTER "phy_txclk_khz" */

// phy_txclk_khz_khz_tx
// bitfield description: TX clock frequency
// TX clock frequency/100, in KHz
// customType  RO
// hwAccess: WO 
// reset value : 0x00000000 
// inputPort: "EMPTY" 
// outputPort:  "" 
// NO register generated


/* Definitions of REGISTER "txmac_name_0" */

// txmac_name_0_id
// customType  RO
// hwAccess: NA 
// NO register generated


/* Definitions of REGISTER "txmac_name_1" */

// txmac_name_1_id
// customType  RO
// hwAccess: NA 
// NO register generated


/* Definitions of REGISTER "txmac_name_2" */

// txmac_name_2_id
// customType  RO
// hwAccess: NA 
// NO register generated


/* Definitions of REGISTER "rxmac_name_0" */

// rxmac_name_0_id
// customType  RO
// hwAccess: NA 
// NO register generated


/* Definitions of REGISTER "rxmac_name_1" */

// rxmac_name_1_id
// customType  RO
// hwAccess: NA 
// NO register generated


/* Definitions of REGISTER "rxmac_name_2" */

// rxmac_name_2_id
// customType  RO
// hwAccess: NA 
// NO register generated


/* Definitions of REGISTER "sl_dl_master_reset" */

// sl_dl_master_reset
// bitfield description: DL master reset
// 1:Reset the whole DL module
// customType  RW
// hwAccess: NA
// reset value : 0x2

always @( posedge clk)
   if (!reset_n)  begin
      sl_dl_master_reset <= 1'b0;
   end
   else begin
      if (we_sl_dl_master_reset) begin 
         sl_dl_master_reset <= din[1];
      end
end



// read process
always @ (*)
begin
rdata_comb = 32'h0;
   if(re) begin
      case (addr)  
    12'h302 : begin
        rdata_comb [31:0]   = 32'h0 ;  // phy_name_0_id     is reserved or a constant value, a read access gives the reset value
    end
    12'h303 : begin
        rdata_comb [31:0]   = 32'h0 ;  // phy_name_1_id     is reserved or a constant value, a read access gives the reset value
    end
    12'h304 : begin
        rdata_comb [31:0]   = 32'h0 ;  // phy_name_2_id     is reserved or a constant value, a read access gives the reset value
    end
    12'h310 : begin
        rdata_comb [0]  = phy_config_eio_sys_rst  ;     // readType = read   writeType =write
        rdata_comb [1]  = phy_config_soft_tx_rst  ;     // readType = read   writeType =write
        rdata_comb [2]  = phy_config_soft_rx_rst  ;     // readType = read   writeType =write
        rdata_comb [4]  = phy_config_set_ref_lock  ;        // readType = read   writeType =write
        rdata_comb [5]  = phy_config_set_data_lock  ;       // readType = read   writeType =write
    end
    12'h313 : begin
        rdata_comb [5:0]    ={dis_rsfec, txAdpt_to_rxAdpt_loopback, phy_pma_sloop_sloop [3:0]};// readType = read   writeType =write
    end
    12'h320 : begin
        rdata_comb [3:0]    = phy_tx_pll_locked_tx_pll_locked_i [3:0] ;     // readType = read   writeType =illegal
    end
    12'h321 : begin
        rdata_comb [3:0]    = phy_eiofreq_locked_eio_freq_lock_i [3:0] ;        // readType = read   writeType =illegal
    end
    12'h322 : begin
        rdata_comb [0]  = phy_tx_corepll_locked_tx_pcs_ready_i  ;       // readType = read   writeType =illegal
    end
    12'h340 : begin
        rdata_comb [31:0]   = phy_refclk_khz_khz_ref_i [31:0] ;     // readType = read   writeType =illegal
    end
    12'h341 : begin
        rdata_comb [31:0]   = phy_recclk_khz_khz_rx_i [31:0] ;      // readType = read   writeType =illegal
    end
    12'h342 : begin
        rdata_comb [31:0]   = phy_txclk_khz_khz_tx_i [31:0] ;       // readType = read   writeType =illegal
    end
    12'h402 : begin
        rdata_comb [31:0]   = 32'h0 ;  // txmac_name_0_id   is reserved or a constant value, a read access gives the reset value
    end
    12'h403 : begin
        rdata_comb [31:0]   = 32'h0 ;  // txmac_name_1_id   is reserved or a constant value, a read access gives the reset value
    end
    12'h404 : begin
        rdata_comb [31:0]   = 32'h0 ;  // txmac_name_2_id   is reserved or a constant value, a read access gives the reset value
    end
    12'h502 : begin
        rdata_comb [31:0]   = 32'h0 ;  // rxmac_name_0_id   is reserved or a constant value, a read access gives the reset value
    end
    12'h503 : begin
        rdata_comb [31:0]   = 32'h0 ;  // rxmac_name_1_id   is reserved or a constant value, a read access gives the reset value
    end
    12'h504 : begin
        rdata_comb [31:0]   = 32'h0 ;  // rxmac_name_2_id   is reserved or a constant value, a read access gives the reset value
    end
    12'h510 : rdata_comb [31:0] = mac_rx_adapt_dropped_frame_lo;
    12'h511 : rdata_comb [31:0] = mac_rx_adapt_dropped_frame_hi;
    12'h512 : rdata_comb [31:0] = {31'd0, mac_rx_adapt_clear_dropped};
    12'hC00 : begin
        rdata_comb [3:0] = i_sl_cpri_rate_sel;
        rdata_comb [4] = i_sl_cpri_fec_en;
        rdata_comb [9:5] = i_sl_rx_bitslipboundary_sel;
    end
    12'hC01 : begin
        rdata_comb [0] = i_sl_measure_valid;
        rdata_comb [1] = sl_dl_master_reset;
    end
    12'hC02 : begin
        rdata_comb [20:0] = i_sl_tx_delay_sclk;
    end
    12'hC03 : begin
        rdata_comb [20:0] = i_sl_rx_delay_sclk;
    end
    default : begin
        rdata_comb = 32'h00000000;
    end
      endcase
   end
end

endmodule
