	ex_10G #(
		.sim_mode (STRING_VALUE_FOR_sim_mode)
	) u0 (
		.o_cdr_lock                        (_connected_to_o_cdr_lock_),                        //  output,    width = 4,                        o_cdr_lock.o_cdr_lock
		.o_tx_pll_locked                   (_connected_to_o_tx_pll_locked_),                   //  output,    width = 4,                   o_tx_pll_locked.o_tx_pll_locked
		.i_clk_ref                         (_connected_to_i_clk_ref_),                         //   input,    width = 5,                         i_clk_ref.i_clk_ref
		.o_tx_clkout                       (_connected_to_o_tx_clkout_),                       //  output,    width = 4,                       o_tx_clkout.o_tx_clkout
		.o_tx_clkout2                      (_connected_to_o_tx_clkout2_),                      //  output,    width = 4,                      o_tx_clkout2.o_tx_clkout2
		.o_rx_clkout                       (_connected_to_o_rx_clkout_),                       //  output,    width = 4,                       o_rx_clkout.o_rx_clkout
		.o_rx_clkout2                      (_connected_to_o_rx_clkout2_),                      //  output,    width = 4,                      o_rx_clkout2.o_rx_clkout2
		.i_sampling_clk                    (_connected_to_i_sampling_clk_),                    //   input,    width = 1,                    i_sampling_clk.i_sampling_clk
		.o_tx_serial                       (_connected_to_o_tx_serial_),                       //  output,    width = 4,                          serial_p.o_tx_serial
		.i_rx_serial                       (_connected_to_i_rx_serial_),                       //   input,    width = 4,                                  .i_rx_serial
		.i_reconfig_clk                    (_connected_to_i_reconfig_clk_),                    //   input,    width = 1,                    i_reconfig_clk.clk
		.i_reconfig_reset                  (_connected_to_i_reconfig_reset_),                  //   input,    width = 1,                  i_reconfig_reset.i_reconfig_reset
		.i_xcvr_reconfig_address           (_connected_to_i_xcvr_reconfig_address_),           //   input,   width = 76,           i_xcvr_reconfig_address.i_xcvr_reconfig_address
		.i_xcvr_reconfig_read              (_connected_to_i_xcvr_reconfig_read_),              //   input,    width = 4,              i_xcvr_reconfig_read.i_xcvr_reconfig_read
		.i_xcvr_reconfig_write             (_connected_to_i_xcvr_reconfig_write_),             //   input,    width = 4,             i_xcvr_reconfig_write.i_xcvr_reconfig_write
		.o_xcvr_reconfig_readdata          (_connected_to_o_xcvr_reconfig_readdata_),          //  output,   width = 32,          o_xcvr_reconfig_readdata.o_xcvr_reconfig_readdata
		.i_xcvr_reconfig_writedata         (_connected_to_i_xcvr_reconfig_writedata_),         //   input,   width = 32,         i_xcvr_reconfig_writedata.i_xcvr_reconfig_writedata
		.o_xcvr_reconfig_waitrequest       (_connected_to_o_xcvr_reconfig_waitrequest_),       //  output,    width = 4,       o_xcvr_reconfig_waitrequest.o_xcvr_reconfig_waitrequest
		.o_sl_rx_hi_ber                    (_connected_to_o_sl_rx_hi_ber_),                    //  output,    width = 4,                    o_sl_rx_hi_ber.o_sl_rx_hi_ber
		.i_sl_cpri_reconfig_addr           (_connected_to_i_sl_cpri_reconfig_addr_),           //   input,   width = 76,           i_sl_cpri_reconfig_addr.i_sl_cpri_reconfig_addr
		.i_sl_cpri_reconfig_read           (_connected_to_i_sl_cpri_reconfig_read_),           //   input,    width = 4,           i_sl_cpri_reconfig_read.i_sl_cpri_reconfig_read
		.i_sl_cpri_reconfig_write          (_connected_to_i_sl_cpri_reconfig_write_),          //   input,    width = 4,          i_sl_cpri_reconfig_write.i_sl_cpri_reconfig_write
		.o_sl_cpri_reconfig_readdata       (_connected_to_o_sl_cpri_reconfig_readdata_),       //  output,  width = 128,       o_sl_cpri_reconfig_readdata.o_sl_cpri_reconfig_readdata
		.o_sl_cpri_reconfig_readdata_valid (_connected_to_o_sl_cpri_reconfig_readdata_valid_), //  output,    width = 4, o_sl_cpri_reconfig_readdata_valid.o_sl_cpri_reconfig_readdata_valid
		.i_sl_cpri_reconfig_writedata      (_connected_to_i_sl_cpri_reconfig_writedata_),      //   input,  width = 128,      i_sl_cpri_reconfig_writedata.i_sl_cpri_reconfig_writedata
		.o_sl_cpri_reconfig_waitrequest    (_connected_to_o_sl_cpri_reconfig_waitrequest_),    //  output,    width = 4,    o_sl_cpri_reconfig_waitrequest.o_sl_cpri_reconfig_waitrequest
		.o_sl_tx_lanes_stable              (_connected_to_o_sl_tx_lanes_stable_),              //  output,    width = 4,              o_sl_tx_lanes_stable.o_sl_tx_lanes_stable
		.o_sl_rx_pcs_ready                 (_connected_to_o_sl_rx_pcs_ready_),                 //  output,    width = 4,                 o_sl_rx_pcs_ready.o_sl_rx_pcs_ready
		.o_sl_ehip_ready                   (_connected_to_o_sl_ehip_ready_),                   //  output,    width = 4,                   o_sl_ehip_ready.o_sl_ehip_ready
		.o_sl_rx_block_lock                (_connected_to_o_sl_rx_block_lock_),                //  output,    width = 4,                o_sl_rx_block_lock.o_sl_rx_block_lock
		.i_sl_clk_tx                       (_connected_to_i_sl_clk_tx_),                       //   input,    width = 4,                       i_sl_clk_tx.i_sl_clk_tx
		.i_sl_clk_rx                       (_connected_to_i_sl_clk_rx_),                       //   input,    width = 4,                       i_sl_clk_rx.i_sl_clk_rx
		.i_sl_csr_rst_n                    (_connected_to_i_sl_csr_rst_n_),                    //   input,    width = 4,                    i_sl_csr_rst_n.i_sl_csr_rst_n
		.i_sl_tx_rst_n                     (_connected_to_i_sl_tx_rst_n_),                     //   input,    width = 4,                     i_sl_tx_rst_n.i_sl_tx_rst_n
		.i_sl_rx_rst_n                     (_connected_to_i_sl_rx_rst_n_),                     //   input,    width = 4,                     i_sl_rx_rst_n.i_sl_rx_rst_n
		.i_aib_clk                         (_connected_to_i_aib_clk_),                         //   input,    width = 1,                     aib_clk_ports.i_aib_clk
		.i_aib_2x_clk                      (_connected_to_i_aib_2x_clk_),                      //   input,    width = 1,                                  .i_aib_2x_clk
		.i_sl_tx_mii_d                     (_connected_to_i_sl_tx_mii_d_),                     //   input,  width = 256,                      sl_mii_ports.i_sl_tx_mii_d
		.i_sl_tx_mii_c                     (_connected_to_i_sl_tx_mii_c_),                     //   input,   width = 32,                                  .i_sl_tx_mii_c
		.o_sl_rx_mii_d                     (_connected_to_o_sl_rx_mii_d_),                     //  output,  width = 256,                                  .o_sl_rx_mii_d
		.o_sl_rx_mii_c                     (_connected_to_o_sl_rx_mii_c_)                      //  output,   width = 32,                                  .o_sl_rx_mii_c
	);

