# (C) 2001-2022 Intel Corporation. All rights reserved.
# Your use of Intel Corporation's design tools, logic functions and other 
# software and tools, and its AMPP partner logic functions, and any output 
# files from any of the foregoing (including device programming or simulation 
# files), and any associated documentation or information are expressly subject 
# to the terms and conditions of the Intel Program License Subscription 
# Agreement, Intel FPGA IP License Agreement, or other applicable 
# license agreement, including, without limitation, that your use is for the 
# sole purpose of programming logic devices manufactured by Intel and sold by 
# Intel or its authorized distributors.  Please refer to the applicable 
# agreement for further details.


#==============================================================================
# EHIP CRETE3 AVMM USER SPACE Registers Address Map                
#==============================================================================
set phy_revid                         0x300	
set phy_scratch                       0x301	
set phy_name_0                        0x302	
set phy_name_1                        0x303	
set phy_name_2                        0x304	
set phy_ehip_mode_muxes               0x30D	
set phy_ehip_pcs_modes                0x30E	
set phy_ehip_clock_gating             0x30F	
set phy_ehip_csr_soft_reset           0x310	
set phy_frame_error                   0x323	
set phy_sclr_frame_error              0x324	
set phy_eio_sftreset                  0x325	
set phy_rxpcs_status                  0x326	
set err_inj                           0x327	
set am_lock                           0x328	
set lanes_deskewed                    0x329	
set ber_count                         0x32A	
set pcs_vlane_0                       0x330
set pcs_vlane_1                       0x331	
set pcs_vlane_2                       0x332	
set pcs_vlane_3                       0x333	
set tx_pld_conf                       0x350	
set tx_pld_status                     0x351	
set phy_rxpma_status                  0x354	
set rx_pld_conf                       0x355
set rx_pld_status                     0x356
set rxpcs_conf                        0x360	
set bip_counter_0                     0x361	
set bip_counter_1                     0x362	
set bip_counter_2                     0x363	
set bip_counter_3                     0x364	
set bip_counter_4                     0x365	
set bip_counter_5                     0x366	
set bip_counter_6                     0x367	
set bip_counter_7                     0x368	
set bip_counter_8                     0x369	
set bip_counter_9                     0x36A	
set bip_counter_10                    0x36B	
set bip_counter_11                    0x36C	
set bip_counter_12                    0x36D	
set bip_counter_13                    0x36E	
set bip_counter_14                    0x36F	
set bip_counter_15                    0x370	
set bip_counter_16                    0x371	
set bip_counter_17                    0x372	
set bip_counter_18                    0x373	
set bip_counter_19                    0x374	
set am_encoding_0                     0x376	
set am_encoding_1                     0x377	
set am_encoding_2                     0x378	
set am_encoding_3                     0x379	
set xus_timer_window                  0x37A	
set ber_invalid_count                 0x37B	
set err_block_cnt                     0x37C	
set rx_pcs_int_err                    0x37D	
set rx_pcs_int_err_mask               0x37E	
set dsk_depth_0                       0x37F	
set dsk_depth_1                       0x380	
set dsk_depth_2                       0x381	
set dsk_depth_3                       0x382	
set rx_pcs_test_err_cnt               0x383	
set dprio_control_0                   0x384	
set dprio_control_1                   0x385	
set dprio_control_2                   0x386	
set dprio_control_3                   0x387	
set dprio_control_4                   0x388	
set dprio_control_5                   0x389	
set txmac_revid                       0x400	
set txmac_scratch                     0x401	
set txmac_name_0                      0x402	
set txmac_name_1                      0x403	
set txmac_name_2                      0x404	
set link_fault_config                 0x405	
set ipg_col_rem                       0x406	
set max_tx_size_config                0x407	
set txmac_control                     0x40A	
set txmac_ehip_cfg                    0x40B	
set txmac_saddrl                      0x40C	
set txmac_saddrh                      0x40D	
set rxmac_revid                       0x500	
set rxmac_scratch                     0x501	
set rxmac_name_0                      0x502	
set rxmac_name_1                      0x503	
set rxmac_name_2                      0x504	
set max_rx_size_config                0x506	
set mac_crc_config                    0x507	
set link_fault_status                 0x508	
set rxmac_control                     0x50A	
set rxmac_ehip_cfg                    0x50B	
set txsfc_revid                       0x600	
set txsfc_scratch                     0x601	
set txsfc_name_0                      0x602	
set txsfc_name_1                      0x603	
set txsfc_name_2                      0x604	
set tx_pause_en                       0x605	
set tx_pause_request                  0x606	
set retransmit_xoff_holdoff_en        0x607	
set retransmit_xoff_holdoff_quanta    0x608	
set tx_pause_quanta                   0x609	
set tx_xof_en_tx_pause_qnumber        0x60A	
set cfg_retransmit_holdoff_en         0x60B	
set cfg_retransmit_holdoff_quanta     0x60C	
set tx_pfc_daddrl                     0x60D	
set tx_pfc_daddrh                     0x60E	
set tx_pfc_saddrl                     0x60F	
set tx_pfc_saddrh                     0x610	
set txsfc_ehip_cfg                    0x611	
set pfc_pause_quanta_0                0x620	
set pfc_pause_quanta_1                0x621	
set pfc_pause_quanta_2                0x622	
set pfc_pause_quanta_3                0x623	
set pfc_pause_quanta_4                0x624	
set pfc_pause_quanta_5                0x625	
set pfc_pause_quanta_6                0x626	
set pfc_pause_quanta_7                0x627	
set pfc_holdoff_quanta_0              0x628	
set pfc_holdoff_quanta_1              0x629	
set pfc_holdoff_quanta_2              0x62A	
set pfc_holdoff_quanta_3              0x62B	
set pfc_holdoff_quanta_4              0x62C	
set pfc_holdoff_quanta_5              0x62D	
set pfc_holdoff_quanta_6              0x62E	
set pfc_holdoff_quanta_7              0x62F	
set rxsfc_revid                       0x700	
set rxsfc_scratch                     0x701	
set rxsfc_name_0                      0x702	
set rxsfc_name_1                      0x703	
set rxsfc_name_2                      0x704	
set rx_pause_enable                   0x705	
set rx_pause_fwd                      0x706	
set rx_pause_daddrl                   0x707	
set rx_pause_daddrh                   0x708	
set rxsfc_ehip_cfg                    0x709	
set cntr_tx_fragments_lo              0x800	
set cntr_tx_fragments_hi              0x801	
set cntr_tx_jabbers_lo                0x802	
set cntr_tx_jabbers_hi                0x803	
set cntr_tx_fcs_lo                    0x804	
set cntr_tx_fcs_hi                    0x805	
set cntr_tx_fcs_err_okpkt_lo          0x806	
set cntr_tx_fcs_err_okpkt_hi          0x807	
set cntr_tx_mcast_data_err_lo         0x808
set cntr_tx_mcast_data_err_hi         0x809	
set cntr_tx_bcast_data_err_lo         0x80A	
set cntr_tx_bcast_data_err_hi         0x80B	
set cntr_tx_ucast_data_err_lo         0x80C	
set cntr_tx_ucast_data_err_hi         0x80D	
set cntr_tx_mcast_ctrl_err_lo         0x80E	
set cntr_tx_mcast_ctrl_err_hi         0x80F	
set cntr_tx_bcast_ctrl_err_lo         0x810	
set cntr_tx_bcast_ctrl_err_hi         0x811	
set cntr_tx_ucast_ctrl_err_lo         0x812	
set cntr_tx_ucast_ctrl_err_hi         0x813	
set cntr_tx_pause_err_lo              0x814	
set cntr_tx_pause_err_hi              0x815	
set cntr_tx_64b_lo                    0x816	
set cntr_tx_64b_hi                    0x817	
set cntr_tx_65to127b_lo               0x818	
set cntr_tx_65to127b_hi               0x819	
set cntr_tx_128to255b_lo              0x81A	
set cntr_tx_128to255b_hi              0x81B	
set cntr_tx_256to511b_lo              0x81C	
set cntr_tx_256to511b_hi              0x81D	
set cntr_tx_512to1023b_lo             0x81E	
set cntr_tx_512to1023b_hi             0x81F	
set cntr_tx_1024to1518b_lo            0x820	
set cntr_tx_1024to1518b_hi            0x821	
set cntr_tx_1519tomaxb_lo             0x822	
set cntr_tx_1519tomaxb_hi             0x823	
set cntr_tx_oversize_lo               0x824	
set cntr_tx_oversize_hi               0x825	
set cntr_tx_mcast_data_ok_lo          0x826	
set cntr_tx_mcast_data_ok_hi          0x827	
set cntr_tx_bcast_data_ok_lo          0x828	
set cntr_tx_bcast_data_ok_hi          0x829	
set cntr_tx_ucast_data_ok_lo          0x82A	
set cntr_tx_ucast_data_ok_hi          0x82B	
set cntr_tx_mcast_ctrl_lo             0x82C	
set cntr_tx_mcast_ctrl_hi             0x82D	
set cntr_tx_bcast_ctrl_lo             0x82E	
set cntr_tx_bcast_ctrl_hi             0x82F	
set cntr_tx_ucast_ctrl_lo             0x830
set cntr_tx_ucast_ctrl_hi             0x831	                  	
set cntr_tx_pause_lo                  0x832	
set cntr_tx_pause_hi                  0x833	
set cntr_tx_runt_lo                   0x834	
set cntr_tx_runt_hi                   0x835	
set cntr_tx_st_lo                     0x836	
set cntr_tx_st_hi                     0x837	
set cntr_tx_lenerr_lo                 0x838	
set cntr_tx_lenerr_hi                 0x839	
set cntr_tx_pfc_err_lo                0x83A
set cntr_tx_pfc_err_hi                0x83B
set cntr_tx_pfc_lo                    0x83C
set cntr_tx_pfc_hi                    0x83D
set txstat_revid                      0x840	
set txstat_scratch                    0x841	
set txstat_name_0                     0x842	
set txstat_name_1                     0x843	
set txstat_name_2                     0x844	
set cntr_tx_config                    0x845	
set cntr_tx_status                    0x846	
set cntr_tx_payloadoctetsok_lo        0x860	
set cntr_tx_payloadoctetsok_hi        0x861	
set txoctetsok_lo                     0x862	
set txoctetsok_hi                     0x863	
set cntr_tx_malformed_lo              0x864	
set cntr_tx_malformed_hi              0x865	
set cntr_tx_dropped_lo                0x866	
set cntr_tx_dropped_hi                0x867	
set cntr_tx_badlt_lo                  0x868	
set cntr_tx_badlt_hi                  0x869               	
set cntr_rx_fragments_lo              0x900	
set cntr_rx_fragments_hi              0x901	
set cntr_rx_jabbers_lo                0x902	
set cntr_rx_jabbers_hi                0x903	
set cntr_rx_fcs_lo                    0x904	
set cntr_rx_fcs_hi                    0x905	
set cntr_rx_fcs_err_okpkt_lo          0x906	
set cntr_rx_fcs_err_okpkt_hi          0x907	
set cntr_rx_mcast_data_err_lo         0x908
set cntr_rx_mcast_data_err_hi         0x909
set cntr_rx_bcast_data_err_lo         0x90A	
set cntr_rx_bcast_data_err_hi         0x90B	
set cntr_rx_ucast_data_err_lo         0x90C	
set cntr_rx_ucast_data_err_hi         0x90D	
set cntr_rx_mcast_ctrl_err_lo         0x90E	
set cntr_rx_mcast_ctrl_err_hi         0x90F	
set cntr_rx_bcast_ctrl_err_lo         0x910	
set cntr_rx_bcast_ctrl_err_hi         0x911	
set cntr_rx_ucast_ctrl_err_lo         0x912	
set cntr_rx_ucast_ctrl_err_hi         0x913	       	
set cntr_rx_pause_err_lo              0x914	
set cntr_rx_pause_err_hi              0x915	
set cntr_rx_64b_lo                    0x916	
set cntr_rx_64b_hi                    0x917	
set cntr_rx_65to127b_lo               0x918	
set cntr_rx_65to127b_hi               0x919	
set cntr_rx_128to255b_lo              0x91A	
set cntr_rx_128to255b_hi              0x91B	
set cntr_rx_256to511b_lo              0x91C	
set cntr_rx_256to511b_hi              0x91D	
set cntr_rx_512to1023b_lo             0x91E	
set cntr_rx_512to1023b_hi             0x91F	
set cntr_rx_1024to1518b_lo            0x920	
set cntr_rx_1024to1518b_hi            0x921	
set cntr_rx_1519tomaxb_lo             0x922	
set cntr_rx_1519tomaxb_hi             0x923	
set cntr_rx_oversize_lo               0x924	
set cntr_rx_oversize_hi               0x925	
set cntr_rx_mcast_data_ok_lo          0x926	
set cntr_rx_mcast_data_ok_hi          0x927	
set cntr_rx_bcast_data_ok_lo          0x928	
set cntr_rx_bcast_data_ok_hi          0x929	
set cntr_rx_ucast_data_ok_lo          0x92A	
set cntr_rx_ucast_data_ok_hi          0x92B	
set cntr_rx_mcast_ctrl_lo             0x92C	
set cntr_rx_mcast_ctrl_hi             0x92D	
set cntr_rx_bcast_ctrl_lo             0x92E	
set cntr_rx_bcast_ctrl_hi             0x92F	
set cntr_rx_ucast_ctrl_lo             0x930	
set cntr_rx_ucast_ctrl_hi             0x931
set cntr_rx_pause_lo                  0x932	
set cntr_rx_pause_hi                  0x933	
set cntr_rx_runt_lo                   0x934	
set cntr_rx_runt_hi                   0x935	
set cntr_rx_st_lo                     0x936	
set cntr_rx_st_hi                     0x937	
set cntr_rx_lenerr_lo                 0x938	
set cntr_rx_lenerr_hi                 0x939	
set cntr_rx_pfc_err_lo                0x93A
set cntr_rx_pfc_err_hi                0x93B
set cntr_rx_pfc_lo                    0x93C	
set cntr_rx_pfc_hi                    0x93D
set rxstat_revid                      0x940	
set rxstat_scratch                    0x941	
set rxstat_name_0                     0x942	
set rxstat_name_1                     0x943	
set rxstat_name_2                     0x944	
set cntr_rx_config                    0x945	
set cntr_rx_status                    0x946	
set cntr_rx_payloadoctetsok_lo        0x960	
set cntr_rx_payloadoctetsok_hi        0x961	
set rxoctetsok_lo                     0x962	
set rxoctetsok_hi                     0x963	
set cntr_rx_malformed_lo              0x964	
set cntr_rx_malformed_hi              0x965	
set cntr_rx_dropped_lo                0x966	
set cntr_rx_dropped_hi                0x967	
set cntr_rx_badlt_lo                  0x968	
set cntr_rx_badlt_hi                  0x969	
set txptp_revid                       0xA00	
set txptp_scratch                     0xA01	
set txptp_name_0                      0xA02	
set txptp_name_1                      0xA03	
set txptp_name_2                      0xA04	
set tx_ptp_clk_period                 0xA05	
set tx_ptp_status                     0xA09	
set tx_ptp_extra_latency              0xA0A	
set tx_ptp_asym_latency               0xA0B	
set tx_ptp_dp_latency                 0xA0C	
set ptp_debug                         0xA0D	
set tx_aib_dp_latency_latency         0xA0E
set rxptp_revid                       0xB00	
set rxptp_scratch                     0xB01	
set rxptp_name_0                      0xB02	
set rxptp_name_1                      0xB03	
set rxptp_name_2                      0xB04	
set rx_ptp_clk_period                 0xB05	
set rx_ptp_extra_latency              0xB06	
set rx_ptp_dp_latency                 0xB07 	

# Make a dictionary to map extensions to descriptions
set ehip_user_reg [dict create 0x300 "phy_revid                              " ]
# Add/update the dictionary
dict set ehip_user_reg     0x301   "phy_scratch                           "
dict set ehip_user_reg     0x302   "phy_name_0                            "           	
dict set ehip_user_reg     0x303   "phy_name_1                            "                	
dict set ehip_user_reg     0x304   "phy_name_2                            "               	
dict set ehip_user_reg     0x30D   "phy_ehip_mode_muxes                   "                     	
dict set ehip_user_reg     0x30E   "phy_ehip_pcs_modes                    "              	
dict set ehip_user_reg     0x30F   "phy_ehip_clock_gating                 " 
dict set ehip_user_reg     0x310   "phy_ehip_csr_soft_reset               "
dict set ehip_user_reg     0x323   "phy_frame_error                       "                  	
dict set ehip_user_reg     0x324   "phy_sclr_frame_error                  "              	
dict set ehip_user_reg     0x325   "phy_eio_sftreset                      "                  	
dict set ehip_user_reg     0x326   "phy_rxpcs_status                      "                   	
dict set ehip_user_reg     0x327   "err_inj                               "                  	
dict set ehip_user_reg     0x328   "am_lock                               "                     	
dict set ehip_user_reg     0x329   "lanes_deskewed                        "                	
dict set ehip_user_reg     0x32A   "ber_count                             "      	
dict set ehip_user_reg     0x330   "pcs_vlane_0                           "  	
dict set ehip_user_reg     0x331   "pcs_vlane_1                           "                 	
dict set ehip_user_reg     0x332   "pcs_vlane_2                           "      	
dict set ehip_user_reg     0x333   "pcs_vlane_3                           "       	
dict set ehip_user_reg     0x350   "tx_pld_conf                           "   	
dict set ehip_user_reg     0x351   "tx_pld_status                         "                   	
dict set ehip_user_reg     0x354   "phy_rxpma_status                      "                   	
dict set ehip_user_reg     0x355   "rx_pld_conf                           "      
dict set ehip_user_reg     0x356   "rx_pld_status             	          "
dict set ehip_user_reg     0x360   "rxpcs_conf                            "                   	
dict set ehip_user_reg     0x361   "bip_counter_0                         "                  	
dict set ehip_user_reg     0x362   "bip_counter_1                         "                 	
dict set ehip_user_reg     0x363   "bip_counter_2                         "                    	
dict set ehip_user_reg     0x364   "bip_counter_3                         "                 	
dict set ehip_user_reg     0x365   "bip_counter_4                         "                 	
dict set ehip_user_reg     0x366   "bip_counter_5                         "                  	
dict set ehip_user_reg     0x367   "bip_counter_6                         "                  	
dict set ehip_user_reg     0x368   "bip_counter_7                         "                  	
dict set ehip_user_reg     0x369   "bip_counter_8                         "               	
dict set ehip_user_reg     0x36A   "bip_counter_9                         "            	
dict set ehip_user_reg     0x36B   "bip_counter_10                        "               	
dict set ehip_user_reg     0x36C   "bip_counter_11                        "                     	
dict set ehip_user_reg     0x36D   "bip_counter_12                        "                  	
dict set ehip_user_reg     0x36E   "bip_counter_13                        "                      	
dict set ehip_user_reg     0x36F   "bip_counter_14                        "             	
dict set ehip_user_reg     0x370   "bip_counter_15                        "            	
dict set ehip_user_reg     0x371   "bip_counter_16                        "              	
dict set ehip_user_reg     0x372   "bip_counter_17                        "              	
dict set ehip_user_reg     0x373   "bip_counter_18                        "              	
dict set ehip_user_reg     0x374   "bip_counter_19                        "              	
dict set ehip_user_reg     0x376   "am_encoding_0                         "              	
dict set ehip_user_reg     0x377   "am_encoding_1                         "              	
dict set ehip_user_reg     0x378   "am_encoding_2                         "              	
dict set ehip_user_reg     0x379   "am_encoding_3                         "              	
dict set ehip_user_reg     0x37A   "xus_timer_window                      "            	
dict set ehip_user_reg     0x37B   "ber_invalid_count                     "            	
dict set ehip_user_reg     0x37C   "err_block_cnt                         "            	
dict set ehip_user_reg     0x37D   "rx_pcs_int_err                        "            	
dict set ehip_user_reg     0x37E   "rx_pcs_int_err_mask                   "            	
dict set ehip_user_reg     0x37F   "dsk_depth_0                           "            	
dict set ehip_user_reg     0x380   "dsk_depth_1                           "            	
dict set ehip_user_reg     0x381   "dsk_depth_2                           "            	
dict set ehip_user_reg     0x382   "dsk_depth_3                           "                    	
dict set ehip_user_reg     0x383   "rx_pcs_test_err_cnt                   "                    	
dict set ehip_user_reg     0x384   "dprio_control_0                       "                     	
dict set ehip_user_reg     0x385   "dprio_control_1                       "                   	
dict set ehip_user_reg     0x386   "dprio_control_2                       "                 	
dict set ehip_user_reg     0x387   "dprio_control_3                       "                 	
dict set ehip_user_reg     0x388   "dprio_control_4                       "                 	
dict set ehip_user_reg     0x389   "dprio_control_5                       "                 	
dict set ehip_user_reg     0x400   "txmac_revid                           "                 	
dict set ehip_user_reg     0x401   "txmac_scratch                         "                 	
dict set ehip_user_reg     0x402   "txmac_name_0                          "                   	
dict set ehip_user_reg     0x403   "txmac_name_1                          "                   	
dict set ehip_user_reg     0x404   "txmac_name_2                          "                   	
dict set ehip_user_reg     0x405   "link_fault_config                     "                   	
dict set ehip_user_reg     0x406   "ipg_col_rem                           "                	
dict set ehip_user_reg     0x407   "max_tx_size_config                    "               	
dict set ehip_user_reg     0x40A   "txmac_control                         "               	
dict set ehip_user_reg     0x40B   "txmac_ehip_cfg                        "                       	
dict set ehip_user_reg     0x40C   "txmac_saddrl                          "               	
dict set ehip_user_reg     0x40D   "txmac_saddrh                          "              	
dict set ehip_user_reg     0x500   "rxmac_revid                           "           	
dict set ehip_user_reg     0x501   "rxmac_scratch                         "              	
dict set ehip_user_reg     0x502   "rxmac_name_0                          "   
dict set ehip_user_reg     0x503   "rxmac_name_1                          "
dict set ehip_user_reg     0x504   "rxmac_name_2                          "
dict set ehip_user_reg     0x506   "max_rx_size_config                    "
dict set ehip_user_reg     0x507   "mac_crc_config                        "
dict set ehip_user_reg     0x508   "link_fault_status                     "
dict set ehip_user_reg     0x50A   "rxmac_control                         "
dict set ehip_user_reg     0x50B   "rxmac_ehip_cfg                        "
dict set ehip_user_reg     0x600   "txsfc_revid                           "
dict set ehip_user_reg     0x601   "txsfc_scratch                         "
dict set ehip_user_reg     0x602   "txsfc_name_0                          "
dict set ehip_user_reg     0x603   "txsfc_name_1                          "
dict set ehip_user_reg     0x604   "txsfc_name_2                          "
dict set ehip_user_reg     0x605   "tx_pause_en                           "
dict set ehip_user_reg     0x606   "tx_pause_request                      "
dict set ehip_user_reg     0x607   "retransmit_xoff_holdoff_en            "
dict set ehip_user_reg     0x608   "retransmit_xoff_holdoff_quanta        "
dict set ehip_user_reg     0x609   "tx_pause_quanta                       "
dict set ehip_user_reg     0x60A   "tx_xof_en_tx_pause_qnumber            "
dict set ehip_user_reg     0x60B   "cfg_retransmit_holdoff_en             "
dict set ehip_user_reg     0x60C   "cfg_retransmit_holdoff_quanta         "
dict set ehip_user_reg     0x60D   "tx_pfc_daddrl                         "
dict set ehip_user_reg     0x60E   "tx_pfc_daddrh                         "
dict set ehip_user_reg     0x60F   "tx_pfc_saddrl                         "
dict set ehip_user_reg     0x610   "tx_pfc_saddrh                         "
dict set ehip_user_reg     0x611   "txsfc_ehip_cfg                        "
dict set ehip_user_reg     0x620   "pfc_pause_quanta_0                    "
dict set ehip_user_reg     0x621   "pfc_pause_quanta_1                    "
dict set ehip_user_reg     0x622   "pfc_pause_quanta_2                    "
dict set ehip_user_reg     0x623   "pfc_pause_quanta_3                    "
dict set ehip_user_reg     0x624   "pfc_pause_quanta_4                    "
dict set ehip_user_reg     0x625   "pfc_pause_quanta_5                    "
dict set ehip_user_reg     0x626   "pfc_pause_quanta_6                    "
dict set ehip_user_reg     0x627   "pfc_pause_quanta_7                    "
dict set ehip_user_reg     0x628   "pfc_holdoff_quanta_0                  "
dict set ehip_user_reg     0x629   "pfc_holdoff_quanta_1                  "
dict set ehip_user_reg     0x62A   "pfc_holdoff_quanta_2                  "
dict set ehip_user_reg     0x62B   "pfc_holdoff_quanta_3                  "
dict set ehip_user_reg     0x62C   "pfc_holdoff_quanta_4                  "
dict set ehip_user_reg     0x62D   "pfc_holdoff_quanta_5                  "
dict set ehip_user_reg     0x62E   "pfc_holdoff_quanta_6                  "
dict set ehip_user_reg     0x62F   "pfc_holdoff_quanta_7                  "
dict set ehip_user_reg     0x700   "rxsfc_revid                           "
dict set ehip_user_reg     0x701   "rxsfc_scratch                         "
dict set ehip_user_reg     0x702   "rxsfc_name_0                          "
dict set ehip_user_reg     0x703   "rxsfc_name_1                          "
dict set ehip_user_reg     0x704   "rxsfc_name_2                          "
dict set ehip_user_reg     0x705   "rx_pause_enable                       "
dict set ehip_user_reg     0x706   "rx_pause_fwd                          "
dict set ehip_user_reg     0x707   "rx_pause_daddrl                       "
dict set ehip_user_reg     0x708   "rx_pause_daddrh                       "
dict set ehip_user_reg     0x709   "rxsfc_ehip_cfg                        "
dict set ehip_user_reg     0x800   "cntr_tx_fragments_lo                  "
dict set ehip_user_reg     0x801   "cntr_tx_fragments_hi                  "
dict set ehip_user_reg     0x802   "cntr_tx_jabbers_lo                    "
dict set ehip_user_reg     0x803   "cntr_tx_jabbers_hi                    "
dict set ehip_user_reg     0x804   "cntr_tx_fcs_lo                        "
dict set ehip_user_reg     0x805   "cntr_tx_fcs_hi                        "
dict set ehip_user_reg     0x806   "cntr_tx_fcs_err_okpkt_lo              "
dict set ehip_user_reg     0x807   "cntr_tx_fcs_err_okpkt_hi              "
dict set ehip_user_reg     0x808   "cntr_tx_mcast_data_err_lo             "
dict set ehip_user_reg     0x809   "cntr_tx_mcast_data_err_hi             "
dict set ehip_user_reg     0x80A   "cntr_tx_bcast_data_err_lo             "
dict set ehip_user_reg     0x80B   "cntr_tx_bcast_data_err_hi             "
dict set ehip_user_reg     0x80C   "cntr_tx_ucast_data_err_lo             "
dict set ehip_user_reg     0x80D   "cntr_tx_ucast_data_err_hi             "
dict set ehip_user_reg     0x80E   "cntr_tx_mcast_ctrl_err_lo             "
dict set ehip_user_reg     0x80F   "cntr_tx_mcast_ctrl_err_hi             "
dict set ehip_user_reg     0x810   "cntr_tx_bcast_ctrl_err_lo             "
dict set ehip_user_reg     0x811   "cntr_tx_bcast_ctrl_err_hi             "
dict set ehip_user_reg     0x812   "cntr_tx_ucast_ctrl_err_lo             "
dict set ehip_user_reg     0x813   "cntr_tx_ucast_ctrl_err_hi             "
dict set ehip_user_reg     0x814   "cntr_tx_pause_err_lo                  "
dict set ehip_user_reg     0x815   "cntr_tx_pause_err_hi                  "
dict set ehip_user_reg     0x816   "cntr_tx_64b_lo                        "
dict set ehip_user_reg     0x817   "cntr_tx_64b_hi                        "
dict set ehip_user_reg     0x818   "cntr_tx_65to127b_lo                   "
dict set ehip_user_reg     0x819   "cntr_tx_65to127b_hi                   "
dict set ehip_user_reg     0x81A   "cntr_tx_128to255b_lo                  "
dict set ehip_user_reg     0x81B   "cntr_tx_128to255b_hi                  "
dict set ehip_user_reg     0x81C   "cntr_tx_256to511b_lo                  "
dict set ehip_user_reg     0x81D   "cntr_tx_256to511b_hi                  "
dict set ehip_user_reg     0x81E   "cntr_tx_512to1023b_lo                 "
dict set ehip_user_reg     0x81F   "cntr_tx_512to1023b_hi                 "
dict set ehip_user_reg     0x820   "cntr_tx_1024to1518b_lo                "
dict set ehip_user_reg     0x821   "cntr_tx_1024to1518b_hi                "
dict set ehip_user_reg     0x822   "cntr_tx_1519tomaxb_lo                 "
dict set ehip_user_reg     0x823   "cntr_tx_1519tomaxb_hi                 "
dict set ehip_user_reg     0x824   "cntr_tx_oversize_lo                   "
dict set ehip_user_reg     0x825   "cntr_tx_oversize_hi                   "
dict set ehip_user_reg     0x826   "cntr_tx_mcast_data_ok_lo              "
dict set ehip_user_reg     0x827   "cntr_tx_mcast_data_ok_hi              "
dict set ehip_user_reg     0x828   "cntr_tx_bcast_data_ok_lo              "
dict set ehip_user_reg     0x829   "cntr_tx_bcast_data_ok_hi              "
dict set ehip_user_reg     0x82A   "cntr_tx_ucast_data_ok_lo              "
dict set ehip_user_reg     0x82B   "cntr_tx_ucast_data_ok_hi              "
dict set ehip_user_reg     0x82C   "cntr_tx_mcast_ctrl_lo                 "
dict set ehip_user_reg     0x82D   "cntr_tx_mcast_ctrl_hi                 "
dict set ehip_user_reg     0x82E   "cntr_tx_bcast_ctrl_lo                 "
dict set ehip_user_reg     0x82F   "cntr_tx_bcast_ctrl_hi                 "
dict set ehip_user_reg     0x830   "cntr_tx_ucast_ctrl_lo                 "
dict set ehip_user_reg     0x831   "cntr_tx_ucast_ctrl_hi                 "
dict set ehip_user_reg     0x832   "cntr_tx_pause_lo                      "
dict set ehip_user_reg     0x833   "cntr_tx_pause_hi                      "
dict set ehip_user_reg     0x834   "cntr_tx_runt_lo                       "
dict set ehip_user_reg     0x835   "cntr_tx_runt_hi                       "
dict set ehip_user_reg     0x836   "cntr_tx_st_lo                         "
dict set ehip_user_reg     0x837   "cntr_tx_st_hi                         "
dict set ehip_user_reg     0x838   "cntr_tx_lenerr_lo                     "
dict set ehip_user_reg     0x839   "cntr_tx_lenerr_hi                     "
dict set ehip_user_reg     0x83A   "cntr_tx_pfc_err_lo                    "
dict set ehip_user_reg     0x83B   "cntr_tx_pfc_err_hi                    "
dict set ehip_user_reg     0x83C   "cntr_tx_pfc_lo                        "
dict set ehip_user_reg     0x83D   "cntr_tx_pfc_hi                        "
dict set ehip_user_reg     0x840   "txstat_revid                          "
dict set ehip_user_reg     0x841   "txstat_scratch                        "
dict set ehip_user_reg     0x842   "txstat_name_0                         "
dict set ehip_user_reg     0x843   "txstat_name_1                         "
dict set ehip_user_reg     0x844   "txstat_name_2                         "
dict set ehip_user_reg     0x845   "cntr_tx_config                        "
dict set ehip_user_reg     0x846   "cntr_tx_status                        "
dict set ehip_user_reg     0x860   "cntr_tx_payloadoctetsok_lo            "
dict set ehip_user_reg     0x861   "cntr_tx_payloadoctetsok_hi            "
dict set ehip_user_reg     0x862   "txoctetsok_lo                         "
dict set ehip_user_reg     0x863   "txoctetsok_hi                         "
dict set ehip_user_reg     0x864   "cntr_tx_malformed_lo                  "
dict set ehip_user_reg     0x865   "cntr_tx_malformed_hi                  "
dict set ehip_user_reg     0x866   "cntr_tx_dropped_lo                    "
dict set ehip_user_reg     0x867   "cntr_tx_dropped_hi                    "
dict set ehip_user_reg     0x868   "cntr_tx_badlt_lo                      "
dict set ehip_user_reg     0x869   "cntr_tx_badlt_hi                      "
dict set ehip_user_reg     0x900   "cntr_rx_fragments_lo                  "
dict set ehip_user_reg     0x901   "cntr_rx_fragments_hi                  "
dict set ehip_user_reg     0x902   "cntr_rx_jabbers_lo                    "
dict set ehip_user_reg     0x903   "cntr_rx_jabbers_hi                    "
dict set ehip_user_reg     0x904   "cntr_rx_fcs_lo                        "
dict set ehip_user_reg     0x905   "cntr_rx_fcs_hi                        "
dict set ehip_user_reg     0x906   "cntr_rx_fcs_err_okpkt_lo              "
dict set ehip_user_reg     0x907   "cntr_rx_fcs_err_okpkt_hi              "
dict set ehip_user_reg     0x908   "cntr_rx_mcast_data_err_lo             "
dict set ehip_user_reg     0x909   "cntr_rx_mcast_data_err_hi             "
dict set ehip_user_reg     0x90A   "cntr_rx_bcast_data_err_lo             "
dict set ehip_user_reg     0x90B   "cntr_rx_bcast_data_err_hi             "
dict set ehip_user_reg     0x90C   "cntr_rx_ucast_data_err_lo             "
dict set ehip_user_reg     0x90D   "cntr_rx_ucast_data_err_hi             "
dict set ehip_user_reg     0x90E   "cntr_rx_mcast_ctrl_err_lo             "
dict set ehip_user_reg     0x90F   "cntr_rx_mcast_ctrl_err_hi             "
dict set ehip_user_reg     0x910   "cntr_rx_bcast_ctrl_err_lo             "
dict set ehip_user_reg     0x911   "cntr_rx_bcast_ctrl_err_hi             "
dict set ehip_user_reg     0x912   "cntr_rx_ucast_ctrl_err_lo             "
dict set ehip_user_reg     0x913   "cntr_rx_ucast_ctrl_err_hi             "
dict set ehip_user_reg     0x914   "cntr_rx_pause_err_lo                  "
dict set ehip_user_reg     0x915   "cntr_rx_pause_err_hi                  "
dict set ehip_user_reg     0x916   "cntr_rx_64b_lo                        "
dict set ehip_user_reg     0x917   "cntr_rx_64b_hi                        "
dict set ehip_user_reg     0x918   "cntr_rx_65to127b_lo                   "
dict set ehip_user_reg     0x919   "cntr_rx_65to127b_hi                   "
dict set ehip_user_reg     0x91A   "cntr_rx_128to255b_lo                  "
dict set ehip_user_reg     0x91B   "cntr_rx_128to255b_hi                  "
dict set ehip_user_reg     0x91C   "cntr_rx_256to511b_lo                  "
dict set ehip_user_reg     0x91D   "cntr_rx_256to511b_hi                  "
dict set ehip_user_reg     0x91E   "cntr_rx_512to1023b_lo                 "
dict set ehip_user_reg     0x91F   "cntr_rx_512to1023b_hi                 "
dict set ehip_user_reg     0x920   "cntr_rx_1024to1518b_lo                "
dict set ehip_user_reg     0x921   "cntr_rx_1024to1518b_hi                "
dict set ehip_user_reg     0x922   "cntr_rx_1519tomaxb_lo                 "
dict set ehip_user_reg     0x923   "cntr_rx_1519tomaxb_hi                 "
dict set ehip_user_reg     0x924   "cntr_rx_oversize_lo                   "
dict set ehip_user_reg     0x925   "cntr_rx_oversize_hi                   "
dict set ehip_user_reg     0x926   "cntr_rx_mcast_data_ok_lo              "
dict set ehip_user_reg     0x927   "cntr_rx_mcast_data_ok_hi              "
dict set ehip_user_reg     0x928   "cntr_rx_bcast_data_ok_lo              "
dict set ehip_user_reg     0x929   "cntr_rx_bcast_data_ok_hi              "
dict set ehip_user_reg     0x92A   "cntr_rx_ucast_data_ok_lo              "
dict set ehip_user_reg     0x92B   "cntr_rx_ucast_data_ok_hi              "
dict set ehip_user_reg     0x92C   "cntr_rx_mcast_ctrl_lo                 "
dict set ehip_user_reg     0x92D   "cntr_rx_mcast_ctrl_hi                 "
dict set ehip_user_reg     0x92E   "cntr_rx_bcast_ctrl_lo                 "
dict set ehip_user_reg     0x92F   "cntr_rx_bcast_ctrl_hi                 "
dict set ehip_user_reg     0x930   "cntr_rx_ucast_ctrl_lo                 "
dict set ehip_user_reg     0x931   "cntr_rx_ucast_ctrl_hi                 "
dict set ehip_user_reg     0x932   "cntr_rx_pause_lo                      "
dict set ehip_user_reg     0x933   "cntr_rx_pause_hi                      "
dict set ehip_user_reg     0x934   "cntr_rx_runt_lo                       "
dict set ehip_user_reg     0x935   "cntr_rx_runt_hi                       "
dict set ehip_user_reg     0x936   "cntr_rx_st_lo                         "
dict set ehip_user_reg     0x937   "cntr_rx_st_hi                         "
dict set ehip_user_reg     0x938   "cntr_rx_lenerr_lo                     "
dict set ehip_user_reg     0x939   "cntr_rx_lenerr_hi                     "
dict set ehip_user_reg     0x93A   "cntr_rx_pfc_err_lo                    "
dict set ehip_user_reg     0x93B   "cntr_rx_pfc_err_hi                    "
dict set ehip_user_reg     0x93C   "cntr_rx_pfc_lo                        "
dict set ehip_user_reg     0x93D   "cntr_rx_pfc_hi                        "
dict set ehip_user_reg     0x940   "rxstat_revid                          "
dict set ehip_user_reg     0x941   "rxstat_scratch                        "
dict set ehip_user_reg     0x942   "rxstat_name_0                         "
dict set ehip_user_reg     0x943   "rxstat_name_1                         "
dict set ehip_user_reg     0x944   "rxstat_name_2                         "
dict set ehip_user_reg     0x945   "cntr_rx_config                        "
dict set ehip_user_reg     0x946   "cntr_rx_status                        "
dict set ehip_user_reg     0x960   "cntr_rx_payloadoctetsok_lo            "
dict set ehip_user_reg     0x961   "cntr_rx_payloadoctetsok_hi            "
dict set ehip_user_reg     0x962   "rxoctetsok_lo                         "
dict set ehip_user_reg     0x963   "rxoctetsok_hi                         "
dict set ehip_user_reg     0x964   "cntr_rx_malformed_lo                  "
dict set ehip_user_reg     0x965   "cntr_rx_malformed_hi                  "
dict set ehip_user_reg     0x966   "cntr_rx_dropped_lo                    "
dict set ehip_user_reg     0x967   "cntr_rx_dropped_hi                    "
dict set ehip_user_reg     0x968   "cntr_rx_badlt_lo                      "
dict set ehip_user_reg     0x969   "cntr_rx_badlt_hi                      "
dict set ehip_user_reg     0xA00   "txptp_revid                           "
dict set ehip_user_reg     0xA01   "txptp_scratch                         "
dict set ehip_user_reg     0xA02   "txptp_name_0                          "
dict set ehip_user_reg     0xA03   "txptp_name_1                          "
dict set ehip_user_reg     0xA04   "txptp_name_2                          "
dict set ehip_user_reg     0xA05   "tx_ptp_clk_period                     "
dict set ehip_user_reg     0xA09   "tx_ptp_status                         "
dict set ehip_user_reg     0xA0A   "tx_ptp_extra_latency                  "
dict set ehip_user_reg     0xA0B   "tx_ptp_asym_latency                   "
dict set ehip_user_reg     0xA0C   "tx_ptp_dp_latency                     "
dict set ehip_user_reg     0xA0D   "ptp_debug                             "
dict set ehip_user_reg     0xA0E   "tx_aib_dp_latency_latency             "
dict set ehip_user_reg     0xB00   "rxptp_revid                           "
dict set ehip_user_reg     0xB01   "rxptp_scratch                         "
dict set ehip_user_reg     0xB02   "rxptp_name_0                          "
dict set ehip_user_reg     0xB03   "rxptp_name_1                          "
dict set ehip_user_reg     0xB04   "rxptp_name_2                          "
dict set ehip_user_reg     0xB05   "rx_ptp_clk_period                     "
dict set ehip_user_reg     0xB06   "rx_ptp_extra_latency                  "
dict set ehip_user_reg     0xB07   "rx_ptp_dp_latency                     "
