# (C) 2001-2022 Intel Corporation. All rights reserved.
# Your use of Intel Corporation's design tools, logic functions and other 
# software and tools, and its AMPP partner logic functions, and any output 
# files from any of the foregoing (including device programming or simulation 
# files), and any associated documentation or information are expressly subject 
# to the terms and conditions of the Intel Program License Subscription 
# Agreement, Intel FPGA IP License Agreement, or other applicable 
# license agreement, including, without limitation, that your use is for the 
# sole purpose of programming logic devices manufactured by Intel and sold by 
# Intel or its authorized distributors.  Please refer to the applicable 
# agreement for further details.


#==============================================================================
# EHIP CRETE3 AVMM RS-FEC SPACE Registers Address Map                
#==============================================================================
set arbiter_base_cfg              0x000
set rsfec_top_clk_cfg             0x004
set rsfec_top_tx_cfg              0x010
set rsfec_top_rx_cfg              0x014
set rsfec_top_eng_cfg             0x01C
set tx_aib_dsk_conf               0x020
set rsfec_status_hold             0x028
set rsfec_core_cfg                0x030
set rsfec_lane_cfg_0              0x040
set rsfec_lane_cfg_1              0x044
set rsfec_lane_cfg_2              0x048
set rsfec_lane_cfg_3              0x04C
set rsfec_lane_cfg1_0             0x050
set rsfec_lane_cfg1_1             0x054
set rsfec_lane_cfg1_2             0x058
set rsfec_lane_cfg1_3             0x05C
set rsfec_lane_cfg2_0             0x060
set rsfec_lane_cfg2_1             0x064
set rsfec_lane_cfg2_2             0x068
set rsfec_lane_cfg2_3             0x06C
set rsfec_dft_cfg                 0x0C0
set rsfec_misc_cfg                0x0C4                         
set tx_aib_dsk_status             0x104
set rsfec_debug_cfg               0x108
set rsfec_lane_tx_stat_0          0x120
set rsfec_lane_tx_stat_1          0x124
set rsfec_lane_tx_stat_2          0x128
set rsfec_lane_tx_stat_3          0x12C
set rsfec_lane_tx_hold_0          0x130
set rsfec_lane_tx_hold_1          0x134
set rsfec_lane_tx_hold_2          0x138
set rsfec_lane_tx_hold_3          0x13C
set rsfec_lane_tx_inten_0         0x140
set rsfec_lane_tx_inten_1         0x144
set rsfec_lane_tx_inten_2         0x148
set rsfec_lane_tx_inten_3         0x14C
set rsfec_lane_rx_stat_0          0x150
set rsfec_lane_rx_stat_1          0x154
set rsfec_lane_rx_stat_2          0x158
set rsfec_lane_rx_stat_3          0x15C
set rsfec_lane_rx_hold_0          0x160
set rsfec_lane_rx_hold_1          0x164
set rsfec_lane_rx_hold_2          0x168
set rsfec_lane_rx_hold_3          0x16C
set rsfec_lane_rx_inten_0         0x170
set rsfec_lane_rx_inten_1         0x174
set rsfec_lane_rx_inten_2         0x178
set rsfec_lane_rx_inten_3         0x17C
set rsfec_lanes_rx_stat           0x180
set rsfec_lanes_rx_hold           0x188
set rsfec_lanes_rx_inten          0x18C
set rsfec_ln_mapping_rx_0         0x1A0
set rsfec_ln_mapping_rx_1         0x1A4
set rsfec_ln_mapping_rx_2         0x1A8
set rsfec_ln_mapping_rx_3         0x1AC
set rsfec_ln_skew_rx_0            0x1B0
set rsfec_ln_skew_rx_1            0x1B4
set rsfec_ln_skew_rx_2            0x1B8
set rsfec_ln_skew_rx_3            0x1BC
set rsfec_cw_pos_rx_0             0x1C0
set rsfec_cw_pos_rx_1             0x1C4
set rsfec_cw_pos_rx_2             0x1C8
set rsfec_cw_pos_rx_3             0x1CC
set rsfec_core_ecc_hold           0x1D0
set rsfec_err_inj_tx_0            0x1E0
set rsfec_err_inj_tx_1            0x1E4
set rsfec_err_inj_tx_2            0x1E8
set rsfec_err_inj_tx_3            0x1EC
set rsfec_err_val_tx_0            0x1F0
set rsfec_err_val_tx_1            0x1F4
set rsfec_err_val_tx_2            0x1F8
set rsfec_err_val_tx_3            0x1FC
set rsfec_corr_cw_cnt_0_lo        0x200
set rsfec_corr_cw_cnt_0_hi        0x204
set rsfec_corr_cw_cnt_1_lo        0x208
set rsfec_corr_cw_cnt_1_hi        0x20C
set rsfec_corr_cw_cnt_2_lo        0x210
set rsfec_corr_cw_cnt_2_hi        0x214
set rsfec_corr_cw_cnt_3_lo        0x218
set rsfec_corr_cw_cnt_3_hi        0x21C
set rsfec_uncorr_cw_cnt_0_lo      0x220
set rsfec_uncorr_cw_cnt_0_hi      0x224
set rsfec_uncorr_cw_cnt_1_lo      0x228
set rsfec_uncorr_cw_cnt_1_hi      0x22C
set rsfec_uncorr_cw_cnt_2_lo      0x230
set rsfec_uncorr_cw_cnt_2_hi      0x234
set rsfec_uncorr_cw_cnt_3_lo      0x238
set rsfec_uncorr_cw_cnt_3_hi      0x23C
set rsfec_corr_syms_cnt_0_lo      0x240
set rsfec_corr_syms_cnt_0_hi      0x244
set rsfec_corr_syms_cnt_1_lo      0x248
set rsfec_corr_syms_cnt_1_hi      0x24C
set rsfec_corr_syms_cnt_2_lo      0x250
set rsfec_corr_syms_cnt_2_hi      0x254
set rsfec_corr_syms_cnt_3_lo      0x258
set rsfec_corr_syms_cnt_3_hi      0x25C
set rsfec_corr_0s_cnt_0_lo        0x260
set rsfec_corr_0s_cnt_0_hi        0x264
set rsfec_corr_0s_cnt_1_lo        0x268
set rsfec_corr_0s_cnt_1_hi        0x26C
set rsfec_corr_0s_cnt_2_lo        0x270
set rsfec_corr_0s_cnt_2_hi        0x274
set rsfec_corr_0s_cnt_3_lo        0x278
set rsfec_corr_0s_cnt_3_hi        0x27C
set rsfec_corr_1s_cnt_0_lo        0x280
set rsfec_corr_1s_cnt_0_hi        0x284
set rsfec_corr_1s_cnt_1_lo        0x288
set rsfec_corr_1s_cnt_1_hi        0x28C
set rsfec_corr_1s_cnt_2_lo        0x290
set rsfec_corr_1s_cnt_2_hi        0x294
set rsfec_corr_1s_cnt_3_lo        0x298
set rsfec_corr_1s_cnt_3_hi        0x29C


# Make a dictionary to map extensions to descriptions
set ehip_rsfec_reg [dict create 0x000 "arbiter_base_cfg                      " ]
# Add/update the dictionary
dict set ehip_rsfec_reg   0x004   "rsfec_top_clk_cfg                    "
dict set ehip_rsfec_reg   0x010   "rsfec_top_tx_cfg                     "           	
dict set ehip_rsfec_reg   0x014   "rsfec_top_rx_cfg                     "                	
dict set ehip_rsfec_reg   0x01C   "rsfec_top_eng_cfg                    "               	
dict set ehip_rsfec_reg   0x020   "tx_aib_dsk_conf                      "                     	
dict set ehip_rsfec_reg   0x028   "rsfec_status_hold                    "              	
dict set ehip_rsfec_reg   0x030   "rsfec_core_cfg                       "                   	
dict set ehip_rsfec_reg   0x040   "rsfec_lane_cfg_0                     "                  	
dict set ehip_rsfec_reg   0x044   "rsfec_lane_cfg_1                     "              	
dict set ehip_rsfec_reg   0x048   "rsfec_lane_cfg_2                     "                  	
dict set ehip_rsfec_reg   0x04C   "rsfec_lane_cfg_3                     "                   	
dict set ehip_rsfec_reg   0x050   "rsfec_lane_cfg1_0                    "                  	
dict set ehip_rsfec_reg   0x054   "rsfec_lane_cfg1_1                    "                     	
dict set ehip_rsfec_reg   0x058   "rsfec_lane_cfg1_2                    "                	
dict set ehip_rsfec_reg   0x05C   "rsfec_lane_cfg1_3                    "      	
dict set ehip_rsfec_reg   0x060   "rsfec_lane_cfg2_0                    "  	
dict set ehip_rsfec_reg   0x064   "rsfec_lane_cfg2_1                    "                 	
dict set ehip_rsfec_reg   0x068   "rsfec_lane_cfg2_2                    "      	
dict set ehip_rsfec_reg   0x06C   "rsfec_lane_cfg2_3                    "       	
dict set ehip_rsfec_reg   0x0C0   "rsfec_dft_cfg                        "   	
dict set ehip_rsfec_reg   0x0C4   "rsfec_misc_cfg                       "                   	
dict set ehip_rsfec_reg   0x104   "tx_aib_dsk_status                    "                   	
dict set ehip_rsfec_reg   0x108   "rsfec_debug_cfg                      "                   	
dict set ehip_rsfec_reg   0x120   "rsfec_lane_tx_stat_0                 "                   	
dict set ehip_rsfec_reg   0x124   "rsfec_lane_tx_stat_1                 "                  	
dict set ehip_rsfec_reg   0x128   "rsfec_lane_tx_stat_2                 "                 	
dict set ehip_rsfec_reg   0x12C   "rsfec_lane_tx_stat_3                 "                    	
dict set ehip_rsfec_reg   0x130   "rsfec_lane_tx_hold_0                 "                 	
dict set ehip_rsfec_reg   0x134   "rsfec_lane_tx_hold_1                 "                 	
dict set ehip_rsfec_reg   0x138   "rsfec_lane_tx_hold_2                 "                  	
dict set ehip_rsfec_reg   0x13C   "rsfec_lane_tx_hold_3                 "                  	
dict set ehip_rsfec_reg   0x140   "rsfec_lane_tx_inten_0                "                  	
dict set ehip_rsfec_reg   0x144   "rsfec_lane_tx_inten_1                "               	
dict set ehip_rsfec_reg   0x148   "rsfec_lane_tx_inten_2                "            	
dict set ehip_rsfec_reg   0x14C   "rsfec_lane_tx_inten_3                "               	
dict set ehip_rsfec_reg   0x150   "rsfec_lane_rx_stat_0                 "                     	
dict set ehip_rsfec_reg   0x154   "rsfec_lane_rx_stat_1                 "                  	
dict set ehip_rsfec_reg   0x158   "rsfec_lane_rx_stat_2                 "                      	
dict set ehip_rsfec_reg   0x15C   "rsfec_lane_rx_stat_3                 "             	
dict set ehip_rsfec_reg   0x160   "rsfec_lane_rx_hold_0                 "            	
dict set ehip_rsfec_reg   0x164   "rsfec_lane_rx_hold_1                 "              	
dict set ehip_rsfec_reg   0x168   "rsfec_lane_rx_hold_2                 "              	
dict set ehip_rsfec_reg   0x16C   "rsfec_lane_rx_hold_3                 "              	
dict set ehip_rsfec_reg   0x170   "rsfec_lane_rx_inten_0                "              	
dict set ehip_rsfec_reg   0x174   "rsfec_lane_rx_inten_1                "              	
dict set ehip_rsfec_reg   0x178   "rsfec_lane_rx_inten_2                "              	
dict set ehip_rsfec_reg   0x17C   "rsfec_lane_rx_inten_3                "              	
dict set ehip_rsfec_reg   0x180   "rsfec_lanes_rx_stat                  "              	
dict set ehip_rsfec_reg   0x188   "rsfec_lanes_rx_hold                  "            	
dict set ehip_rsfec_reg   0x18C   "rsfec_lanes_rx_inten                 "            	
dict set ehip_rsfec_reg   0x1A0   "rsfec_ln_mapping_rx_0                "            	
dict set ehip_rsfec_reg   0x1A4   "rsfec_ln_mapping_rx_1                "            	
dict set ehip_rsfec_reg   0x1A8   "rsfec_ln_mapping_rx_2                "            	
dict set ehip_rsfec_reg   0x1AC   "rsfec_ln_mapping_rx_3                "            	
dict set ehip_rsfec_reg   0x1B0   "rsfec_ln_skew_rx_0                   "            	
dict set ehip_rsfec_reg   0x1B4   "rsfec_ln_skew_rx_1                   "            	
dict set ehip_rsfec_reg   0x1B8   "rsfec_ln_skew_rx_2                   "                    	
dict set ehip_rsfec_reg   0x1BC   "rsfec_ln_skew_rx_3                   "                    	
dict set ehip_rsfec_reg   0x1C0   "rsfec_cw_pos_rx_0                    "                     	
dict set ehip_rsfec_reg   0x1C4   "rsfec_cw_pos_rx_1                    "                   	
dict set ehip_rsfec_reg   0x1C8   "rsfec_cw_pos_rx_2                    "                 	
dict set ehip_rsfec_reg   0x1CC   "rsfec_cw_pos_rx_3                    "                 	
dict set ehip_rsfec_reg   0x1D0   "rsfec_core_ecc_hold                  "                 	
dict set ehip_rsfec_reg   0x1E0   "rsfec_err_inj_tx_0                   "                 	
dict set ehip_rsfec_reg   0x1E4   "rsfec_err_inj_tx_1                   "                 	
dict set ehip_rsfec_reg   0x1E8   "rsfec_err_inj_tx_2                   "                 	
dict set ehip_rsfec_reg   0x1EC   "rsfec_err_inj_tx_3                   "                   	
dict set ehip_rsfec_reg   0x1F0   "rsfec_err_val_tx_0                   "                   	
dict set ehip_rsfec_reg   0x1F4   "rsfec_err_val_tx_1                   "                   	
dict set ehip_rsfec_reg   0x1F8   "rsfec_err_val_tx_2                   "                   	
dict set ehip_rsfec_reg   0x1FC   "rsfec_err_val_tx_3                   "                	
dict set ehip_rsfec_reg   0x200   "rsfec_corr_cw_cnt_0_lo               "               	
dict set ehip_rsfec_reg   0x204   "rsfec_corr_cw_cnt_0_hi               "               	
dict set ehip_rsfec_reg   0x208   "rsfec_corr_cw_cnt_1_lo               "                       	
dict set ehip_rsfec_reg   0x20C   "rsfec_corr_cw_cnt_1_hi               " 
dict set ehip_rsfec_reg   0x210   "rsfec_corr_cw_cnt_2_lo               " 
dict set ehip_rsfec_reg   0x214   "rsfec_corr_cw_cnt_2_hi               "         	
dict set ehip_rsfec_reg   0x218   "rsfec_corr_cw_cnt_3_lo               "              	
dict set ehip_rsfec_reg   0x21C   "rsfec_corr_cw_cnt_3_hi               "           	
dict set ehip_rsfec_reg   0x220   "rsfec_uncorr_cw_cnt_0_lo             "              	
dict set ehip_rsfec_reg   0x224   "rsfec_uncorr_cw_cnt_0_hi             "              	
dict set ehip_rsfec_reg   0x228   "rsfec_uncorr_cw_cnt_1_lo             "                      	
dict set ehip_rsfec_reg   0x22C   "rsfec_uncorr_cw_cnt_1_hi             "             	
dict set ehip_rsfec_reg   0x230   "rsfec_uncorr_cw_cnt_2_lo             "            	
dict set ehip_rsfec_reg   0x234   "rsfec_uncorr_cw_cnt_2_hi             "              	
dict set ehip_rsfec_reg   0x238   "rsfec_uncorr_cw_cnt_3_lo             "              	
dict set ehip_rsfec_reg   0x23C   "rsfec_uncorr_cw_cnt_3_hi             "              	
dict set ehip_rsfec_reg   0x240   "rsfec_corr_syms_cnt_0_lo             "              	
dict set ehip_rsfec_reg   0x244   "rsfec_corr_syms_cnt_0_hi             "              	
dict set ehip_rsfec_reg   0x248   "rsfec_corr_syms_cnt_1_lo             "              	
dict set ehip_rsfec_reg   0x24C   "rsfec_corr_syms_cnt_1_hi             "              	
dict set ehip_rsfec_reg   0x250   "rsfec_corr_syms_cnt_2_lo             "              	
dict set ehip_rsfec_reg   0x254   "rsfec_corr_syms_cnt_2_hi             "            	
dict set ehip_rsfec_reg   0x258   "rsfec_corr_syms_cnt_3_lo             "            	
dict set ehip_rsfec_reg   0x25C   "rsfec_corr_syms_cnt_3_hi             "            	
dict set ehip_rsfec_reg   0x260   "rsfec_corr_0s_cnt_0_lo               "            	
dict set ehip_rsfec_reg   0x264   "rsfec_corr_0s_cnt_0_hi               "            	
dict set ehip_rsfec_reg   0x268   "rsfec_corr_0s_cnt_1_lo               "            	
dict set ehip_rsfec_reg   0x26C   "rsfec_corr_0s_cnt_1_hi               "            	
dict set ehip_rsfec_reg   0x270   "rsfec_corr_0s_cnt_2_lo               "            	
dict set ehip_rsfec_reg   0x274   "rsfec_corr_0s_cnt_2_hi               "                    	
dict set ehip_rsfec_reg   0x278   "rsfec_corr_0s_cnt_3_lo               "                    	
dict set ehip_rsfec_reg   0x27C   "rsfec_corr_0s_cnt_3_hi               "                     	
dict set ehip_rsfec_reg   0x280   "rsfec_corr_1s_cnt_0_lo               "                   	
dict set ehip_rsfec_reg   0x284   "rsfec_corr_1s_cnt_0_hi               "                 	
dict set ehip_rsfec_reg   0x288   "rsfec_corr_1s_cnt_1_lo               "                 	
dict set ehip_rsfec_reg   0x28C   "rsfec_corr_1s_cnt_1_hi               "                 	
dict set ehip_rsfec_reg   0x290   "rsfec_corr_1s_cnt_2_lo               "                 	
dict set ehip_rsfec_reg   0x294   "rsfec_corr_1s_cnt_2_hi               "                 	
dict set ehip_rsfec_reg   0x298   "rsfec_corr_1s_cnt_3_lo               "                 	
dict set ehip_rsfec_reg   0x29C   "rsfec_corr_1s_cnt_3_hi               "                   	
 