	component Qsys is
		port (
			clk_clk                                         : in    std_logic                     := 'X';             -- clk
			fmc_refclk0_clk_in_ref_export                   : in    std_logic                     := 'X';             -- export
			fmc_refclk0_clk_in_target_export                : in    std_logic                     := 'X';             -- export
			fmc_refclk1_clk_in_ref_export                   : in    std_logic                     := 'X';             -- export
			fmc_refclk1_clk_in_target_export                : in    std_logic                     := 'X';             -- export
			info_board_version_external_connection_export   : in    std_logic_vector(15 downto 0) := (others => 'X'); -- export
			info_core_cur_external_connection_export        : in    std_logic_vector(15 downto 0) := (others => 'X'); -- export
			info_core_cur_2_external_connection_export      : in    std_logic_vector(15 downto 0) := (others => 'X'); -- export
			info_core_vol_external_connection_export        : in    std_logic_vector(15 downto 0) := (others => 'X'); -- export
			info_core_vol_2_external_connection_export      : in    std_logic_vector(15 downto 0) := (others => 'X'); -- export
			info_fan_speed_1_external_connection_export     : in    std_logic_vector(15 downto 0) := (others => 'X'); -- export
			info_maxcode_version_external_connection_export : in    std_logic_vector(15 downto 0) := (others => 'X'); -- export
			info_power_in_cur_external_connection_export    : in    std_logic_vector(15 downto 0) := (others => 'X'); -- export
			info_power_in_vol_external_connection_export    : in    std_logic_vector(15 downto 0) := (others => 'X'); -- export
			info_temp_board_external_connection_export      : in    std_logic_vector(15 downto 0) := (others => 'X'); -- export
			info_temp_board_2_external_connection_export    : in    std_logic_vector(15 downto 0) := (others => 'X'); -- export
			info_temp_etile_external_connection_export      : in    std_logic_vector(15 downto 0) := (others => 'X'); -- export
			info_temp_fpga_external_connection_export       : in    std_logic_vector(15 downto 0) := (others => 'X'); -- export
			info_temp_ptile_external_connection_export      : in    std_logic_vector(15 downto 0) := (others => 'X'); -- export
			info_temp_sdm_external_connection_export        : in    std_logic_vector(15 downto 0) := (others => 'X'); -- export
			qsfp28_refclk_clk_in_ref_export                 : in    std_logic                     := 'X';             -- export
			qsfp28_refclk_clk_in_target_export              : in    std_logic                     := 'X';             -- export
			qsfp28rsv_refclk_clk_in_ref_export              : in    std_logic                     := 'X';             -- export
			qsfp28rsv_refclk_clk_in_target_export           : in    std_logic                     := 'X';             -- export
			reset_reset_n                                   : in    std_logic                     := 'X';             -- reset_n
			si5340a_i2c_export_scl_pad_io                   : inout std_logic                     := 'X';             -- scl_pad_io
			si5340a_i2c_export_sda_pad_io                   : inout std_logic                     := 'X';             -- sda_pad_io
			si5340a_oe_n_external_connection_export         : out   std_logic;                                        -- export
			si5340a_rst_n_external_connection_export        : out   std_logic                                         -- export
		);
	end component Qsys;

	u0 : component Qsys
		port map (
			clk_clk                                         => CONNECTED_TO_clk_clk,                                         --                                      clk.clk
			fmc_refclk0_clk_in_ref_export                   => CONNECTED_TO_fmc_refclk0_clk_in_ref_export,                   --                   fmc_refclk0_clk_in_ref.export
			fmc_refclk0_clk_in_target_export                => CONNECTED_TO_fmc_refclk0_clk_in_target_export,                --                fmc_refclk0_clk_in_target.export
			fmc_refclk1_clk_in_ref_export                   => CONNECTED_TO_fmc_refclk1_clk_in_ref_export,                   --                   fmc_refclk1_clk_in_ref.export
			fmc_refclk1_clk_in_target_export                => CONNECTED_TO_fmc_refclk1_clk_in_target_export,                --                fmc_refclk1_clk_in_target.export
			info_board_version_external_connection_export   => CONNECTED_TO_info_board_version_external_connection_export,   --   info_board_version_external_connection.export
			info_core_cur_external_connection_export        => CONNECTED_TO_info_core_cur_external_connection_export,        --        info_core_cur_external_connection.export
			info_core_cur_2_external_connection_export      => CONNECTED_TO_info_core_cur_2_external_connection_export,      --      info_core_cur_2_external_connection.export
			info_core_vol_external_connection_export        => CONNECTED_TO_info_core_vol_external_connection_export,        --        info_core_vol_external_connection.export
			info_core_vol_2_external_connection_export      => CONNECTED_TO_info_core_vol_2_external_connection_export,      --      info_core_vol_2_external_connection.export
			info_fan_speed_1_external_connection_export     => CONNECTED_TO_info_fan_speed_1_external_connection_export,     --     info_fan_speed_1_external_connection.export
			info_maxcode_version_external_connection_export => CONNECTED_TO_info_maxcode_version_external_connection_export, -- info_maxcode_version_external_connection.export
			info_power_in_cur_external_connection_export    => CONNECTED_TO_info_power_in_cur_external_connection_export,    --    info_power_in_cur_external_connection.export
			info_power_in_vol_external_connection_export    => CONNECTED_TO_info_power_in_vol_external_connection_export,    --    info_power_in_vol_external_connection.export
			info_temp_board_external_connection_export      => CONNECTED_TO_info_temp_board_external_connection_export,      --      info_temp_board_external_connection.export
			info_temp_board_2_external_connection_export    => CONNECTED_TO_info_temp_board_2_external_connection_export,    --    info_temp_board_2_external_connection.export
			info_temp_etile_external_connection_export      => CONNECTED_TO_info_temp_etile_external_connection_export,      --      info_temp_etile_external_connection.export
			info_temp_fpga_external_connection_export       => CONNECTED_TO_info_temp_fpga_external_connection_export,       --       info_temp_fpga_external_connection.export
			info_temp_ptile_external_connection_export      => CONNECTED_TO_info_temp_ptile_external_connection_export,      --      info_temp_ptile_external_connection.export
			info_temp_sdm_external_connection_export        => CONNECTED_TO_info_temp_sdm_external_connection_export,        --        info_temp_sdm_external_connection.export
			qsfp28_refclk_clk_in_ref_export                 => CONNECTED_TO_qsfp28_refclk_clk_in_ref_export,                 --                 qsfp28_refclk_clk_in_ref.export
			qsfp28_refclk_clk_in_target_export              => CONNECTED_TO_qsfp28_refclk_clk_in_target_export,              --              qsfp28_refclk_clk_in_target.export
			qsfp28rsv_refclk_clk_in_ref_export              => CONNECTED_TO_qsfp28rsv_refclk_clk_in_ref_export,              --              qsfp28rsv_refclk_clk_in_ref.export
			qsfp28rsv_refclk_clk_in_target_export           => CONNECTED_TO_qsfp28rsv_refclk_clk_in_target_export,           --           qsfp28rsv_refclk_clk_in_target.export
			reset_reset_n                                   => CONNECTED_TO_reset_reset_n,                                   --                                    reset.reset_n
			si5340a_i2c_export_scl_pad_io                   => CONNECTED_TO_si5340a_i2c_export_scl_pad_io,                   --                       si5340a_i2c_export.scl_pad_io
			si5340a_i2c_export_sda_pad_io                   => CONNECTED_TO_si5340a_i2c_export_sda_pad_io,                   --                                         .sda_pad_io
			si5340a_oe_n_external_connection_export         => CONNECTED_TO_si5340a_oe_n_external_connection_export,         --         si5340a_oe_n_external_connection.export
			si5340a_rst_n_external_connection_export        => CONNECTED_TO_si5340a_rst_n_external_connection_export         --        si5340a_rst_n_external_connection.export
		);

