// alt_cpriphy_c3_sl_avmm_rcfg.v

// Generated using ACDS version 22.1 174

`timescale 1 ps / 1 ps
module alt_cpriphy_c3_sl_avmm_rcfg (
		input  wire        clk_clk,                                        //                              clk.clk
		input  wire [21:0] elane_avalon_universal_slave_0_address,         //   elane_avalon_universal_slave_0.address
		input  wire [0:0]  elane_avalon_universal_slave_0_burstcount,      //                                 .burstcount
		input  wire        elane_avalon_universal_slave_0_read,            //                                 .read
		input  wire        elane_avalon_universal_slave_0_write,           //                                 .write
		output wire        elane_avalon_universal_slave_0_waitrequest,     //                                 .waitrequest
		output wire        elane_avalon_universal_slave_0_readdatavalid,   //                                 .readdatavalid
		input  wire [3:0]  elane_avalon_universal_slave_0_byteenable,      //                                 .byteenable
		output wire [31:0] elane_avalon_universal_slave_0_readdata,        //                                 .readdata
		input  wire [31:0] elane_avalon_universal_slave_0_writedata,       //                                 .writedata
		input  wire        elane_avalon_universal_slave_0_lock,            //                                 .lock
		input  wire        elane_avalon_universal_slave_0_debugaccess,     //                                 .debugaccess
		output wire [21:0] master_avalon_universal_master_0_address,       // master_avalon_universal_master_0.address
		output wire [0:0]  master_avalon_universal_master_0_burstcount,    //                                 .burstcount
		output wire        master_avalon_universal_master_0_read,          //                                 .read
		output wire        master_avalon_universal_master_0_write,         //                                 .write
		input  wire        master_avalon_universal_master_0_waitrequest,   //                                 .waitrequest
		input  wire        master_avalon_universal_master_0_readdatavalid, //                                 .readdatavalid
		output wire [3:0]  master_avalon_universal_master_0_byteenable,    //                                 .byteenable
		input  wire [31:0] master_avalon_universal_master_0_readdata,      //                                 .readdata
		output wire [31:0] master_avalon_universal_master_0_writedata,     //                                 .writedata
		output wire        master_avalon_universal_master_0_lock,          //                                 .lock
		output wire        master_avalon_universal_master_0_debugaccess,   //                                 .debugaccess
		input  wire        reset_reset,                                    //                            reset.reset
		input  wire [21:0] xcvr_avalon_universal_slave_0_address,          //    xcvr_avalon_universal_slave_0.address
		input  wire [0:0]  xcvr_avalon_universal_slave_0_burstcount,       //                                 .burstcount
		input  wire        xcvr_avalon_universal_slave_0_read,             //                                 .read
		input  wire        xcvr_avalon_universal_slave_0_write,            //                                 .write
		output wire        xcvr_avalon_universal_slave_0_waitrequest,      //                                 .waitrequest
		output wire        xcvr_avalon_universal_slave_0_readdatavalid,    //                                 .readdatavalid
		input  wire [3:0]  xcvr_avalon_universal_slave_0_byteenable,       //                                 .byteenable
		output wire [31:0] xcvr_avalon_universal_slave_0_readdata,         //                                 .readdata
		input  wire [31:0] xcvr_avalon_universal_slave_0_writedata,        //                                 .writedata
		input  wire        xcvr_avalon_universal_slave_0_lock,             //                                 .lock
		input  wire        xcvr_avalon_universal_slave_0_debugaccess       //                                 .debugaccess
	);

	ex_10G_alt_cpriphy_c3_sl_avmm_rcfg_191_hyq43hq alt_cpriphy_c3_sl_avmm_rcfg (
		.clk_clk                                        (clk_clk),                                        //   input,   width = 1,                              clk.clk
		.elane_avalon_universal_slave_0_address         (elane_avalon_universal_slave_0_address),         //   input,  width = 22,   elane_avalon_universal_slave_0.address
		.elane_avalon_universal_slave_0_burstcount      (elane_avalon_universal_slave_0_burstcount),      //   input,   width = 1,                                 .burstcount
		.elane_avalon_universal_slave_0_read            (elane_avalon_universal_slave_0_read),            //   input,   width = 1,                                 .read
		.elane_avalon_universal_slave_0_write           (elane_avalon_universal_slave_0_write),           //   input,   width = 1,                                 .write
		.elane_avalon_universal_slave_0_waitrequest     (elane_avalon_universal_slave_0_waitrequest),     //  output,   width = 1,                                 .waitrequest
		.elane_avalon_universal_slave_0_readdatavalid   (elane_avalon_universal_slave_0_readdatavalid),   //  output,   width = 1,                                 .readdatavalid
		.elane_avalon_universal_slave_0_byteenable      (elane_avalon_universal_slave_0_byteenable),      //   input,   width = 4,                                 .byteenable
		.elane_avalon_universal_slave_0_readdata        (elane_avalon_universal_slave_0_readdata),        //  output,  width = 32,                                 .readdata
		.elane_avalon_universal_slave_0_writedata       (elane_avalon_universal_slave_0_writedata),       //   input,  width = 32,                                 .writedata
		.elane_avalon_universal_slave_0_lock            (elane_avalon_universal_slave_0_lock),            //   input,   width = 1,                                 .lock
		.elane_avalon_universal_slave_0_debugaccess     (elane_avalon_universal_slave_0_debugaccess),     //   input,   width = 1,                                 .debugaccess
		.master_avalon_universal_master_0_address       (master_avalon_universal_master_0_address),       //  output,  width = 22, master_avalon_universal_master_0.address
		.master_avalon_universal_master_0_burstcount    (master_avalon_universal_master_0_burstcount),    //  output,   width = 1,                                 .burstcount
		.master_avalon_universal_master_0_read          (master_avalon_universal_master_0_read),          //  output,   width = 1,                                 .read
		.master_avalon_universal_master_0_write         (master_avalon_universal_master_0_write),         //  output,   width = 1,                                 .write
		.master_avalon_universal_master_0_waitrequest   (master_avalon_universal_master_0_waitrequest),   //   input,   width = 1,                                 .waitrequest
		.master_avalon_universal_master_0_readdatavalid (master_avalon_universal_master_0_readdatavalid), //   input,   width = 1,                                 .readdatavalid
		.master_avalon_universal_master_0_byteenable    (master_avalon_universal_master_0_byteenable),    //  output,   width = 4,                                 .byteenable
		.master_avalon_universal_master_0_readdata      (master_avalon_universal_master_0_readdata),      //   input,  width = 32,                                 .readdata
		.master_avalon_universal_master_0_writedata     (master_avalon_universal_master_0_writedata),     //  output,  width = 32,                                 .writedata
		.master_avalon_universal_master_0_lock          (master_avalon_universal_master_0_lock),          //  output,   width = 1,                                 .lock
		.master_avalon_universal_master_0_debugaccess   (master_avalon_universal_master_0_debugaccess),   //  output,   width = 1,                                 .debugaccess
		.reset_reset                                    (reset_reset),                                    //   input,   width = 1,                            reset.reset
		.xcvr_avalon_universal_slave_0_address          (xcvr_avalon_universal_slave_0_address),          //   input,  width = 22,    xcvr_avalon_universal_slave_0.address
		.xcvr_avalon_universal_slave_0_burstcount       (xcvr_avalon_universal_slave_0_burstcount),       //   input,   width = 1,                                 .burstcount
		.xcvr_avalon_universal_slave_0_read             (xcvr_avalon_universal_slave_0_read),             //   input,   width = 1,                                 .read
		.xcvr_avalon_universal_slave_0_write            (xcvr_avalon_universal_slave_0_write),            //   input,   width = 1,                                 .write
		.xcvr_avalon_universal_slave_0_waitrequest      (xcvr_avalon_universal_slave_0_waitrequest),      //  output,   width = 1,                                 .waitrequest
		.xcvr_avalon_universal_slave_0_readdatavalid    (xcvr_avalon_universal_slave_0_readdatavalid),    //  output,   width = 1,                                 .readdatavalid
		.xcvr_avalon_universal_slave_0_byteenable       (xcvr_avalon_universal_slave_0_byteenable),       //   input,   width = 4,                                 .byteenable
		.xcvr_avalon_universal_slave_0_readdata         (xcvr_avalon_universal_slave_0_readdata),         //  output,  width = 32,                                 .readdata
		.xcvr_avalon_universal_slave_0_writedata        (xcvr_avalon_universal_slave_0_writedata),        //   input,  width = 32,                                 .writedata
		.xcvr_avalon_universal_slave_0_lock             (xcvr_avalon_universal_slave_0_lock),             //   input,   width = 1,                                 .lock
		.xcvr_avalon_universal_slave_0_debugaccess      (xcvr_avalon_universal_slave_0_debugaccess)       //   input,   width = 1,                                 .debugaccess
	);

endmodule
