# (C) 2001-2022 Intel Corporation. All rights reserved.
# Your use of Intel Corporation's design tools, logic functions and other 
# software and tools, and its AMPP partner logic functions, and any output 
# files from any of the foregoing (including device programming or simulation 
# files), and any associated documentation or information are expressly subject 
# to the terms and conditions of the Intel Program License Subscription 
# Agreement, Intel FPGA IP License Agreement, or other applicable 
# license agreement, including, without limitation, that your use is for the 
# sole purpose of programming logic devices manufactured by Intel and sold by 
# Intel or its authorized distributors.  Please refer to the applicable 
# agreement for further details.


QSYS_SIMDIR=./sim_script
QUARTUS_INSTALL_DIR=$QUARTUS_ROOTDIR
USER_DEFINED_ELAB_OPTIONS="+vcs+vcdpluson+lic+wait -sverilog -debug_access+pp -gsim_mode=enable -gtx_am_period=sim_only_am_period -grx_am_interval=sim_only_am_interval"




cp -r $QSYS_SIMDIR/synopsys/vcsmx/* .


vlogan -sverilog basic_avl_tb_top.sv alt_cpriphy_c3_top.sv common/alt_cpriphy_c3_pat_gen_xgmii.sv common/alt_cpriphy_c3_pat_chk_xgmii.v common/alt_cpriphy_c3_pat_gen_8b10b.sv common/alt_cpriphy_c3_pat_chk_8b10b.v common/alt_cpriphy_c3_rt_acc_counter.v common/alt_cpriphy_c3_avmm_if.v common/alt_cpriphy_c3_avmm_interconnect.v common/alt_cpriphy_c3_reset_synchronizer.v +define+AVMM_MASTER_BFM


SKIP_SIM=1

sh $QSYS_SIMDIR/synopsys/vcsmx/vcsmx_setup.sh QSYS_SIMDIR=$QSYS_SIMDIR QUARTUS_INSTALL_DIR=$QUARTUS_INSTALL_DIR USER_DEFINED_ELAB_OPTIONS="\"$USER_DEFINED_ELAB_OPTIONS\"" SKIP_SIM=$SKIP_SIM TOP_LEVEL_NAME="'-top basic_avl_tb_top'"


./simv +vcs+vcdpluson+lic+wait

