# (C) 2001-2022 Intel Corporation. All rights reserved.
# Your use of Intel Corporation's design tools, logic functions and other 
# software and tools, and its AMPP partner logic functions, and any output 
# files from any of the foregoing (including device programming or simulation 
# files), and any associated documentation or information are expressly subject 
# to the terms and conditions of the Intel Program License Subscription 
# Agreement, Intel FPGA IP License Agreement, or other applicable 
# license agreement, including, without limitation, that your use is for the 
# sole purpose of programming logic devices manufactured by Intel and sold by 
# Intel or its authorized distributors.  Please refer to the applicable 
# agreement for further details.


#==============================================================================
# CPRI CRETE3 AVMM USER SPACE Registers Address Map                
#==============================================================================
set cpri_rate_sel                     0xC00
set dl_logic                          0xC01
set tx_delay                          0xC02
set rx_delay                          0xC03


# Make a dictionary to map extensions to descriptions
set cpri_user_reg [dict create 0xC00 "cpri_rate_sel" ]
# Add/update the dictionary
dict set cpri_user_reg     0xC01   "dl_logic"
dict set cpri_user_reg     0xC02   "tx_delay"
dict set cpri_user_reg     0xC03   "rx_delay"
