@echo off
REM ########################################################################
REM # Download sof file
REM ########################################################################
@ set QUARTUS_BIN=%QUARTUS_ROOTDIR%\bin
@ if not exist "%QUARTUS_BIN%" set QUARTUS_BIN=%QUARTUS_ROOTDIR%\bin64

if not exist "%QUARTUS_BIN%\\qpro.exe" (
	echo Your default Quartus specified by system variable QUARTUS_ROOT must be Quartus Pro. Edition for programming Agilex FPGA device.
	goto :Exit
)


echo QSFP28 CH_0123 testing.....

set test.sof=alt_ehipc3_fm_hw.sof

%QUARTUS_BIN%\\quartus_pgm.exe -m jtag -c 1 -o "p;%test.sof%@1" 

goto Exit
%QUARTUS_ROOTDIR%\sopc_builder\bin\system-console.exe --desktop_script=alt_cpriphy_c3.tcl

:Exit

pause
