module Qsys (
		input  wire        clk_clk,                                         //                                      clk.clk
		input  wire        fmc_refclk0_clk_in_ref_export,                   //                   fmc_refclk0_clk_in_ref.export
		input  wire        fmc_refclk0_clk_in_target_export,                //                fmc_refclk0_clk_in_target.export
		input  wire        fmc_refclk1_clk_in_ref_export,                   //                   fmc_refclk1_clk_in_ref.export
		input  wire        fmc_refclk1_clk_in_target_export,                //                fmc_refclk1_clk_in_target.export
		input  wire [15:0] info_board_version_external_connection_export,   //   info_board_version_external_connection.export
		input  wire [15:0] info_core_cur_external_connection_export,        //        info_core_cur_external_connection.export
		input  wire [15:0] info_core_cur_2_external_connection_export,      //      info_core_cur_2_external_connection.export
		input  wire [15:0] info_core_vol_external_connection_export,        //        info_core_vol_external_connection.export
		input  wire [15:0] info_core_vol_2_external_connection_export,      //      info_core_vol_2_external_connection.export
		input  wire [15:0] info_fan_speed_1_external_connection_export,     //     info_fan_speed_1_external_connection.export
		input  wire [15:0] info_maxcode_version_external_connection_export, // info_maxcode_version_external_connection.export
		input  wire [15:0] info_power_in_cur_external_connection_export,    //    info_power_in_cur_external_connection.export
		input  wire [15:0] info_power_in_vol_external_connection_export,    //    info_power_in_vol_external_connection.export
		input  wire [15:0] info_temp_board_external_connection_export,      //      info_temp_board_external_connection.export
		input  wire [15:0] info_temp_board_2_external_connection_export,    //    info_temp_board_2_external_connection.export
		input  wire [15:0] info_temp_etile_external_connection_export,      //      info_temp_etile_external_connection.export
		input  wire [15:0] info_temp_fpga_external_connection_export,       //       info_temp_fpga_external_connection.export
		input  wire [15:0] info_temp_ptile_external_connection_export,      //      info_temp_ptile_external_connection.export
		input  wire [15:0] info_temp_sdm_external_connection_export,        //        info_temp_sdm_external_connection.export
		input  wire        qsfp28_refclk_clk_in_ref_export,                 //                 qsfp28_refclk_clk_in_ref.export
		input  wire        qsfp28_refclk_clk_in_target_export,              //              qsfp28_refclk_clk_in_target.export
		input  wire        qsfp28rsv_refclk_clk_in_ref_export,              //              qsfp28rsv_refclk_clk_in_ref.export
		input  wire        qsfp28rsv_refclk_clk_in_target_export,           //           qsfp28rsv_refclk_clk_in_target.export
		input  wire        reset_reset_n,                                   //                                    reset.reset_n
		inout  wire        si5340a_i2c_export_scl_pad_io,                   //                       si5340a_i2c_export.scl_pad_io
		inout  wire        si5340a_i2c_export_sda_pad_io,                   //                                         .sda_pad_io
		output wire        si5340a_oe_n_external_connection_export,         //         si5340a_oe_n_external_connection.export
		output wire        si5340a_rst_n_external_connection_export         //        si5340a_rst_n_external_connection.export
	);
endmodule

