// Qsys.v

// Generated using ACDS version 21.4 67

`timescale 1 ps / 1 ps
module Qsys (
		input  wire        clk_clk,                                         //                                      clk.clk
		input  wire        fmc_refclk0_clk_in_ref_export,                   //                   fmc_refclk0_clk_in_ref.export
		input  wire        fmc_refclk0_clk_in_target_export,                //                fmc_refclk0_clk_in_target.export
		input  wire        fmc_refclk1_clk_in_ref_export,                   //                   fmc_refclk1_clk_in_ref.export
		input  wire        fmc_refclk1_clk_in_target_export,                //                fmc_refclk1_clk_in_target.export
		input  wire [15:0] info_board_version_external_connection_export,   //   info_board_version_external_connection.export
		input  wire [15:0] info_core_cur_external_connection_export,        //        info_core_cur_external_connection.export
		input  wire [15:0] info_core_cur_2_external_connection_export,      //      info_core_cur_2_external_connection.export
		input  wire [15:0] info_core_vol_external_connection_export,        //        info_core_vol_external_connection.export
		input  wire [15:0] info_core_vol_2_external_connection_export,      //      info_core_vol_2_external_connection.export
		input  wire [15:0] info_fan_speed_1_external_connection_export,     //     info_fan_speed_1_external_connection.export
		input  wire [15:0] info_maxcode_version_external_connection_export, // info_maxcode_version_external_connection.export
		input  wire [15:0] info_power_in_cur_external_connection_export,    //    info_power_in_cur_external_connection.export
		input  wire [15:0] info_power_in_vol_external_connection_export,    //    info_power_in_vol_external_connection.export
		input  wire [15:0] info_temp_board_external_connection_export,      //      info_temp_board_external_connection.export
		input  wire [15:0] info_temp_board_2_external_connection_export,    //    info_temp_board_2_external_connection.export
		input  wire [15:0] info_temp_etile_external_connection_export,      //      info_temp_etile_external_connection.export
		input  wire [15:0] info_temp_fpga_external_connection_export,       //       info_temp_fpga_external_connection.export
		input  wire [15:0] info_temp_ptile_external_connection_export,      //      info_temp_ptile_external_connection.export
		input  wire [15:0] info_temp_sdm_external_connection_export,        //        info_temp_sdm_external_connection.export
		input  wire        qsfp28_refclk_clk_in_ref_export,                 //                 qsfp28_refclk_clk_in_ref.export
		input  wire        qsfp28_refclk_clk_in_target_export,              //              qsfp28_refclk_clk_in_target.export
		input  wire        qsfp28rsv_refclk_clk_in_ref_export,              //              qsfp28rsv_refclk_clk_in_ref.export
		input  wire        qsfp28rsv_refclk_clk_in_target_export,           //           qsfp28rsv_refclk_clk_in_target.export
		input  wire        reset_reset_n,                                   //                                    reset.reset_n
		inout  wire        si5340a_i2c_export_scl_pad_io,                   //                       si5340a_i2c_export.scl_pad_io
		inout  wire        si5340a_i2c_export_sda_pad_io,                   //                                         .sda_pad_io
		output wire        si5340a_oe_n_external_connection_export,         //         si5340a_oe_n_external_connection.export
		output wire        si5340a_rst_n_external_connection_export         //        si5340a_rst_n_external_connection.export
	);

	wire         clock_in_out_clk_clk;                                      // clock_in:out_clk -> [fmc_refclk0:s_clk_in, fmc_refclk1:s_clk_in, info_board_version:clk, info_core_cur:clk, info_core_cur_2:clk, info_core_vol:clk, info_core_vol_2:clk, info_fan_speed_1:clk, info_maxcode_version:clk, info_power_in_cur:clk, info_power_in_vol:clk, info_temp_board:clk, info_temp_board_2:clk, info_temp_etile:clk, info_temp_fpga:clk, info_temp_ptile:clk, info_temp_sdm:clk, intel_onchip_memory:clk, irq_mapper:clk, jtag_uart:clk, mm_interconnect_0:clock_in_out_clk_clk, nios2_gen2:clk, qsfp28_refclk:s_clk_in, qsfp28rsv_refclk:s_clk_in, reset_in:clk, rst_controller:clk, rst_controller_001:clk, rst_controller_002:clk, rst_controller_003:clk, si5340a_i2c:wb_clk_i, si5340a_oe_n:clk, si5340a_rst_n:clk, sysid_qsys:clock, timer:clk]
	wire  [31:0] nios2_gen2_data_master_readdata;                           // mm_interconnect_0:nios2_gen2_data_master_readdata -> nios2_gen2:d_readdata
	wire         nios2_gen2_data_master_waitrequest;                        // mm_interconnect_0:nios2_gen2_data_master_waitrequest -> nios2_gen2:d_waitrequest
	wire         nios2_gen2_data_master_debugaccess;                        // nios2_gen2:debug_mem_slave_debugaccess_to_roms -> mm_interconnect_0:nios2_gen2_data_master_debugaccess
	wire  [20:0] nios2_gen2_data_master_address;                            // nios2_gen2:d_address -> mm_interconnect_0:nios2_gen2_data_master_address
	wire   [3:0] nios2_gen2_data_master_byteenable;                         // nios2_gen2:d_byteenable -> mm_interconnect_0:nios2_gen2_data_master_byteenable
	wire         nios2_gen2_data_master_read;                               // nios2_gen2:d_read -> mm_interconnect_0:nios2_gen2_data_master_read
	wire         nios2_gen2_data_master_readdatavalid;                      // mm_interconnect_0:nios2_gen2_data_master_readdatavalid -> nios2_gen2:d_readdatavalid
	wire         nios2_gen2_data_master_write;                              // nios2_gen2:d_write -> mm_interconnect_0:nios2_gen2_data_master_write
	wire  [31:0] nios2_gen2_data_master_writedata;                          // nios2_gen2:d_writedata -> mm_interconnect_0:nios2_gen2_data_master_writedata
	wire  [31:0] nios2_gen2_instruction_master_readdata;                    // mm_interconnect_0:nios2_gen2_instruction_master_readdata -> nios2_gen2:i_readdata
	wire         nios2_gen2_instruction_master_waitrequest;                 // mm_interconnect_0:nios2_gen2_instruction_master_waitrequest -> nios2_gen2:i_waitrequest
	wire  [20:0] nios2_gen2_instruction_master_address;                     // nios2_gen2:i_address -> mm_interconnect_0:nios2_gen2_instruction_master_address
	wire         nios2_gen2_instruction_master_read;                        // nios2_gen2:i_read -> mm_interconnect_0:nios2_gen2_instruction_master_read
	wire         nios2_gen2_instruction_master_readdatavalid;               // mm_interconnect_0:nios2_gen2_instruction_master_readdatavalid -> nios2_gen2:i_readdatavalid
	wire  [31:0] mm_interconnect_0_fmc_refclk0_slave_readdata;              // fmc_refclk0:s_readdata_out -> mm_interconnect_0:fmc_refclk0_Slave_readdata
	wire   [1:0] mm_interconnect_0_fmc_refclk0_slave_address;               // mm_interconnect_0:fmc_refclk0_Slave_address -> fmc_refclk0:s_address_in
	wire         mm_interconnect_0_fmc_refclk0_slave_read;                  // mm_interconnect_0:fmc_refclk0_Slave_read -> fmc_refclk0:s_read_in
	wire         mm_interconnect_0_fmc_refclk0_slave_write;                 // mm_interconnect_0:fmc_refclk0_Slave_write -> fmc_refclk0:s_write_in
	wire  [31:0] mm_interconnect_0_fmc_refclk0_slave_writedata;             // mm_interconnect_0:fmc_refclk0_Slave_writedata -> fmc_refclk0:s_writedata_in
	wire  [31:0] mm_interconnect_0_fmc_refclk1_slave_readdata;              // fmc_refclk1:s_readdata_out -> mm_interconnect_0:fmc_refclk1_Slave_readdata
	wire   [1:0] mm_interconnect_0_fmc_refclk1_slave_address;               // mm_interconnect_0:fmc_refclk1_Slave_address -> fmc_refclk1:s_address_in
	wire         mm_interconnect_0_fmc_refclk1_slave_read;                  // mm_interconnect_0:fmc_refclk1_Slave_read -> fmc_refclk1:s_read_in
	wire         mm_interconnect_0_fmc_refclk1_slave_write;                 // mm_interconnect_0:fmc_refclk1_Slave_write -> fmc_refclk1:s_write_in
	wire  [31:0] mm_interconnect_0_fmc_refclk1_slave_writedata;             // mm_interconnect_0:fmc_refclk1_Slave_writedata -> fmc_refclk1:s_writedata_in
	wire  [31:0] mm_interconnect_0_qsfp28rsv_refclk_slave_readdata;         // qsfp28rsv_refclk:s_readdata_out -> mm_interconnect_0:qsfp28rsv_refclk_Slave_readdata
	wire   [1:0] mm_interconnect_0_qsfp28rsv_refclk_slave_address;          // mm_interconnect_0:qsfp28rsv_refclk_Slave_address -> qsfp28rsv_refclk:s_address_in
	wire         mm_interconnect_0_qsfp28rsv_refclk_slave_read;             // mm_interconnect_0:qsfp28rsv_refclk_Slave_read -> qsfp28rsv_refclk:s_read_in
	wire         mm_interconnect_0_qsfp28rsv_refclk_slave_write;            // mm_interconnect_0:qsfp28rsv_refclk_Slave_write -> qsfp28rsv_refclk:s_write_in
	wire  [31:0] mm_interconnect_0_qsfp28rsv_refclk_slave_writedata;        // mm_interconnect_0:qsfp28rsv_refclk_Slave_writedata -> qsfp28rsv_refclk:s_writedata_in
	wire  [31:0] mm_interconnect_0_qsfp28_refclk_slave_readdata;            // qsfp28_refclk:s_readdata_out -> mm_interconnect_0:qsfp28_refclk_Slave_readdata
	wire   [1:0] mm_interconnect_0_qsfp28_refclk_slave_address;             // mm_interconnect_0:qsfp28_refclk_Slave_address -> qsfp28_refclk:s_address_in
	wire         mm_interconnect_0_qsfp28_refclk_slave_read;                // mm_interconnect_0:qsfp28_refclk_Slave_read -> qsfp28_refclk:s_read_in
	wire         mm_interconnect_0_qsfp28_refclk_slave_write;               // mm_interconnect_0:qsfp28_refclk_Slave_write -> qsfp28_refclk:s_write_in
	wire  [31:0] mm_interconnect_0_qsfp28_refclk_slave_writedata;           // mm_interconnect_0:qsfp28_refclk_Slave_writedata -> qsfp28_refclk:s_writedata_in
	wire         mm_interconnect_0_jtag_uart_avalon_jtag_slave_chipselect;  // mm_interconnect_0:jtag_uart_avalon_jtag_slave_chipselect -> jtag_uart:av_chipselect
	wire  [31:0] mm_interconnect_0_jtag_uart_avalon_jtag_slave_readdata;    // jtag_uart:av_readdata -> mm_interconnect_0:jtag_uart_avalon_jtag_slave_readdata
	wire         mm_interconnect_0_jtag_uart_avalon_jtag_slave_waitrequest; // jtag_uart:av_waitrequest -> mm_interconnect_0:jtag_uart_avalon_jtag_slave_waitrequest
	wire   [0:0] mm_interconnect_0_jtag_uart_avalon_jtag_slave_address;     // mm_interconnect_0:jtag_uart_avalon_jtag_slave_address -> jtag_uart:av_address
	wire         mm_interconnect_0_jtag_uart_avalon_jtag_slave_read;        // mm_interconnect_0:jtag_uart_avalon_jtag_slave_read -> jtag_uart:av_read_n
	wire         mm_interconnect_0_jtag_uart_avalon_jtag_slave_write;       // mm_interconnect_0:jtag_uart_avalon_jtag_slave_write -> jtag_uart:av_write_n
	wire  [31:0] mm_interconnect_0_jtag_uart_avalon_jtag_slave_writedata;   // mm_interconnect_0:jtag_uart_avalon_jtag_slave_writedata -> jtag_uart:av_writedata
	wire         mm_interconnect_0_si5340a_i2c_avalon_slave_0_chipselect;   // mm_interconnect_0:si5340a_i2c_avalon_slave_0_chipselect -> si5340a_i2c:wb_stb_i
	wire   [7:0] mm_interconnect_0_si5340a_i2c_avalon_slave_0_readdata;     // si5340a_i2c:wb_dat_o -> mm_interconnect_0:si5340a_i2c_avalon_slave_0_readdata
	wire         mm_interconnect_0_si5340a_i2c_avalon_slave_0_waitrequest;  // si5340a_i2c:wb_ack_o -> mm_interconnect_0:si5340a_i2c_avalon_slave_0_waitrequest
	wire   [2:0] mm_interconnect_0_si5340a_i2c_avalon_slave_0_address;      // mm_interconnect_0:si5340a_i2c_avalon_slave_0_address -> si5340a_i2c:wb_adr_i
	wire         mm_interconnect_0_si5340a_i2c_avalon_slave_0_write;        // mm_interconnect_0:si5340a_i2c_avalon_slave_0_write -> si5340a_i2c:wb_we_i
	wire   [7:0] mm_interconnect_0_si5340a_i2c_avalon_slave_0_writedata;    // mm_interconnect_0:si5340a_i2c_avalon_slave_0_writedata -> si5340a_i2c:wb_dat_i
	wire  [31:0] mm_interconnect_0_sysid_qsys_control_slave_readdata;       // sysid_qsys:readdata -> mm_interconnect_0:sysid_qsys_control_slave_readdata
	wire   [0:0] mm_interconnect_0_sysid_qsys_control_slave_address;        // mm_interconnect_0:sysid_qsys_control_slave_address -> sysid_qsys:address
	wire  [31:0] mm_interconnect_0_nios2_gen2_debug_mem_slave_readdata;     // nios2_gen2:debug_mem_slave_readdata -> mm_interconnect_0:nios2_gen2_debug_mem_slave_readdata
	wire         mm_interconnect_0_nios2_gen2_debug_mem_slave_waitrequest;  // nios2_gen2:debug_mem_slave_waitrequest -> mm_interconnect_0:nios2_gen2_debug_mem_slave_waitrequest
	wire         mm_interconnect_0_nios2_gen2_debug_mem_slave_debugaccess;  // mm_interconnect_0:nios2_gen2_debug_mem_slave_debugaccess -> nios2_gen2:debug_mem_slave_debugaccess
	wire   [8:0] mm_interconnect_0_nios2_gen2_debug_mem_slave_address;      // mm_interconnect_0:nios2_gen2_debug_mem_slave_address -> nios2_gen2:debug_mem_slave_address
	wire         mm_interconnect_0_nios2_gen2_debug_mem_slave_read;         // mm_interconnect_0:nios2_gen2_debug_mem_slave_read -> nios2_gen2:debug_mem_slave_read
	wire   [3:0] mm_interconnect_0_nios2_gen2_debug_mem_slave_byteenable;   // mm_interconnect_0:nios2_gen2_debug_mem_slave_byteenable -> nios2_gen2:debug_mem_slave_byteenable
	wire         mm_interconnect_0_nios2_gen2_debug_mem_slave_write;        // mm_interconnect_0:nios2_gen2_debug_mem_slave_write -> nios2_gen2:debug_mem_slave_write
	wire  [31:0] mm_interconnect_0_nios2_gen2_debug_mem_slave_writedata;    // mm_interconnect_0:nios2_gen2_debug_mem_slave_writedata -> nios2_gen2:debug_mem_slave_writedata
	wire  [31:0] mm_interconnect_0_intel_onchip_memory_s1_readdata;         // intel_onchip_memory:readdata -> mm_interconnect_0:intel_onchip_memory_s1_readdata
	wire  [16:0] mm_interconnect_0_intel_onchip_memory_s1_address;          // mm_interconnect_0:intel_onchip_memory_s1_address -> intel_onchip_memory:address
	wire         mm_interconnect_0_intel_onchip_memory_s1_read;             // mm_interconnect_0:intel_onchip_memory_s1_read -> intel_onchip_memory:read
	wire   [3:0] mm_interconnect_0_intel_onchip_memory_s1_byteenable;       // mm_interconnect_0:intel_onchip_memory_s1_byteenable -> intel_onchip_memory:byteenable
	wire         mm_interconnect_0_intel_onchip_memory_s1_write;            // mm_interconnect_0:intel_onchip_memory_s1_write -> intel_onchip_memory:write
	wire  [31:0] mm_interconnect_0_intel_onchip_memory_s1_writedata;        // mm_interconnect_0:intel_onchip_memory_s1_writedata -> intel_onchip_memory:writedata
	wire         mm_interconnect_0_timer_s1_chipselect;                     // mm_interconnect_0:timer_s1_chipselect -> timer:chipselect
	wire  [15:0] mm_interconnect_0_timer_s1_readdata;                       // timer:readdata -> mm_interconnect_0:timer_s1_readdata
	wire   [2:0] mm_interconnect_0_timer_s1_address;                        // mm_interconnect_0:timer_s1_address -> timer:address
	wire         mm_interconnect_0_timer_s1_write;                          // mm_interconnect_0:timer_s1_write -> timer:write_n
	wire  [15:0] mm_interconnect_0_timer_s1_writedata;                      // mm_interconnect_0:timer_s1_writedata -> timer:writedata
	wire         mm_interconnect_0_si5340a_oe_n_s1_chipselect;              // mm_interconnect_0:si5340a_oe_n_s1_chipselect -> si5340a_oe_n:chipselect
	wire  [31:0] mm_interconnect_0_si5340a_oe_n_s1_readdata;                // si5340a_oe_n:readdata -> mm_interconnect_0:si5340a_oe_n_s1_readdata
	wire   [1:0] mm_interconnect_0_si5340a_oe_n_s1_address;                 // mm_interconnect_0:si5340a_oe_n_s1_address -> si5340a_oe_n:address
	wire         mm_interconnect_0_si5340a_oe_n_s1_write;                   // mm_interconnect_0:si5340a_oe_n_s1_write -> si5340a_oe_n:write_n
	wire  [31:0] mm_interconnect_0_si5340a_oe_n_s1_writedata;               // mm_interconnect_0:si5340a_oe_n_s1_writedata -> si5340a_oe_n:writedata
	wire         mm_interconnect_0_si5340a_rst_n_s1_chipselect;             // mm_interconnect_0:si5340a_rst_n_s1_chipselect -> si5340a_rst_n:chipselect
	wire  [31:0] mm_interconnect_0_si5340a_rst_n_s1_readdata;               // si5340a_rst_n:readdata -> mm_interconnect_0:si5340a_rst_n_s1_readdata
	wire   [1:0] mm_interconnect_0_si5340a_rst_n_s1_address;                // mm_interconnect_0:si5340a_rst_n_s1_address -> si5340a_rst_n:address
	wire         mm_interconnect_0_si5340a_rst_n_s1_write;                  // mm_interconnect_0:si5340a_rst_n_s1_write -> si5340a_rst_n:write_n
	wire  [31:0] mm_interconnect_0_si5340a_rst_n_s1_writedata;              // mm_interconnect_0:si5340a_rst_n_s1_writedata -> si5340a_rst_n:writedata
	wire  [31:0] mm_interconnect_0_info_board_version_s1_readdata;          // info_board_version:readdata -> mm_interconnect_0:info_board_version_s1_readdata
	wire   [1:0] mm_interconnect_0_info_board_version_s1_address;           // mm_interconnect_0:info_board_version_s1_address -> info_board_version:address
	wire  [31:0] mm_interconnect_0_info_maxcode_version_s1_readdata;        // info_maxcode_version:readdata -> mm_interconnect_0:info_maxcode_version_s1_readdata
	wire   [1:0] mm_interconnect_0_info_maxcode_version_s1_address;         // mm_interconnect_0:info_maxcode_version_s1_address -> info_maxcode_version:address
	wire  [31:0] mm_interconnect_0_info_power_in_vol_s1_readdata;           // info_power_in_vol:readdata -> mm_interconnect_0:info_power_in_vol_s1_readdata
	wire   [1:0] mm_interconnect_0_info_power_in_vol_s1_address;            // mm_interconnect_0:info_power_in_vol_s1_address -> info_power_in_vol:address
	wire  [31:0] mm_interconnect_0_info_power_in_cur_s1_readdata;           // info_power_in_cur:readdata -> mm_interconnect_0:info_power_in_cur_s1_readdata
	wire   [1:0] mm_interconnect_0_info_power_in_cur_s1_address;            // mm_interconnect_0:info_power_in_cur_s1_address -> info_power_in_cur:address
	wire  [31:0] mm_interconnect_0_info_core_vol_s1_readdata;               // info_core_vol:readdata -> mm_interconnect_0:info_core_vol_s1_readdata
	wire   [1:0] mm_interconnect_0_info_core_vol_s1_address;                // mm_interconnect_0:info_core_vol_s1_address -> info_core_vol:address
	wire  [31:0] mm_interconnect_0_info_core_cur_s1_readdata;               // info_core_cur:readdata -> mm_interconnect_0:info_core_cur_s1_readdata
	wire   [1:0] mm_interconnect_0_info_core_cur_s1_address;                // mm_interconnect_0:info_core_cur_s1_address -> info_core_cur:address
	wire  [31:0] mm_interconnect_0_info_core_vol_2_s1_readdata;             // info_core_vol_2:readdata -> mm_interconnect_0:info_core_vol_2_s1_readdata
	wire   [1:0] mm_interconnect_0_info_core_vol_2_s1_address;              // mm_interconnect_0:info_core_vol_2_s1_address -> info_core_vol_2:address
	wire  [31:0] mm_interconnect_0_info_core_cur_2_s1_readdata;             // info_core_cur_2:readdata -> mm_interconnect_0:info_core_cur_2_s1_readdata
	wire   [1:0] mm_interconnect_0_info_core_cur_2_s1_address;              // mm_interconnect_0:info_core_cur_2_s1_address -> info_core_cur_2:address
	wire  [31:0] mm_interconnect_0_info_fan_speed_1_s1_readdata;            // info_fan_speed_1:readdata -> mm_interconnect_0:info_fan_speed_1_s1_readdata
	wire   [1:0] mm_interconnect_0_info_fan_speed_1_s1_address;             // mm_interconnect_0:info_fan_speed_1_s1_address -> info_fan_speed_1:address
	wire  [31:0] mm_interconnect_0_info_temp_fpga_s1_readdata;              // info_temp_fpga:readdata -> mm_interconnect_0:info_temp_fpga_s1_readdata
	wire   [1:0] mm_interconnect_0_info_temp_fpga_s1_address;               // mm_interconnect_0:info_temp_fpga_s1_address -> info_temp_fpga:address
	wire  [31:0] mm_interconnect_0_info_temp_board_s1_readdata;             // info_temp_board:readdata -> mm_interconnect_0:info_temp_board_s1_readdata
	wire   [1:0] mm_interconnect_0_info_temp_board_s1_address;              // mm_interconnect_0:info_temp_board_s1_address -> info_temp_board:address
	wire  [31:0] mm_interconnect_0_info_temp_board_2_s1_readdata;           // info_temp_board_2:readdata -> mm_interconnect_0:info_temp_board_2_s1_readdata
	wire   [1:0] mm_interconnect_0_info_temp_board_2_s1_address;            // mm_interconnect_0:info_temp_board_2_s1_address -> info_temp_board_2:address
	wire  [31:0] mm_interconnect_0_info_temp_sdm_s1_readdata;               // info_temp_sdm:readdata -> mm_interconnect_0:info_temp_sdm_s1_readdata
	wire   [1:0] mm_interconnect_0_info_temp_sdm_s1_address;                // mm_interconnect_0:info_temp_sdm_s1_address -> info_temp_sdm:address
	wire  [31:0] mm_interconnect_0_info_temp_etile_s1_readdata;             // info_temp_etile:readdata -> mm_interconnect_0:info_temp_etile_s1_readdata
	wire   [1:0] mm_interconnect_0_info_temp_etile_s1_address;              // mm_interconnect_0:info_temp_etile_s1_address -> info_temp_etile:address
	wire  [31:0] mm_interconnect_0_info_temp_ptile_s1_readdata;             // info_temp_ptile:readdata -> mm_interconnect_0:info_temp_ptile_s1_readdata
	wire   [1:0] mm_interconnect_0_info_temp_ptile_s1_address;              // mm_interconnect_0:info_temp_ptile_s1_address -> info_temp_ptile:address
	wire         irq_mapper_receiver0_irq;                                  // si5340a_i2c:wb_inta_o -> irq_mapper:receiver0_irq
	wire         irq_mapper_receiver1_irq;                                  // jtag_uart:av_irq -> irq_mapper:receiver1_irq
	wire         irq_mapper_receiver2_irq;                                  // timer:irq -> irq_mapper:receiver2_irq
	wire  [31:0] nios2_gen2_irq_irq;                                        // irq_mapper:sender_irq -> nios2_gen2:irq
	wire         rst_controller_reset_out_reset;                            // rst_controller:reset_out -> [fmc_refclk0:s_reset_in, fmc_refclk1:s_reset_in, info_board_version:reset_n, info_core_cur:reset_n, info_core_cur_2:reset_n, info_core_vol:reset_n, info_core_vol_2:reset_n, info_fan_speed_1:reset_n, info_maxcode_version:reset_n, info_power_in_cur:reset_n, info_power_in_vol:reset_n, info_temp_board:reset_n, info_temp_board_2:reset_n, info_temp_etile:reset_n, info_temp_fpga:reset_n, info_temp_ptile:reset_n, info_temp_sdm:reset_n, intel_onchip_memory:reset, jtag_uart:rst_n, qsfp28_refclk:s_reset_in, qsfp28rsv_refclk:s_reset_in, rst_translator:in_reset, si5340a_i2c:wb_rst_i, si5340a_oe_n:reset_n, si5340a_rst_n:reset_n, sysid_qsys:reset_n, timer:reset_n]
	wire         rst_controller_reset_out_reset_req;                        // rst_controller:reset_req -> [intel_onchip_memory:reset_req, rst_translator:reset_req_in]
	wire         reset_in_out_reset_reset;                                  // reset_in:out_reset_n -> [rst_controller:reset_in0, rst_controller_001:reset_in1, rst_controller_002:reset_in1, rst_controller_003:reset_in0]
	wire         rst_controller_001_reset_out_reset;                        // rst_controller_001:reset_out -> [irq_mapper:reset, nios2_gen2:reset_n]
	wire         rst_controller_001_reset_out_reset_req;                    // rst_controller_001:reset_req -> nios2_gen2:reset_req
	wire         nios2_gen2_debug_reset_request_reset;                      // nios2_gen2:debug_reset_request -> [rst_controller_001:reset_in0, rst_controller_002:reset_in0]
	wire         rst_controller_002_reset_out_reset;                        // rst_controller_002:reset_out -> [mm_interconnect_0:nios2_gen2_data_master_translator_reset_reset_bridge_in_reset_reset, mm_interconnect_0:nios2_gen2_reset_reset_bridge_in_reset_reset]
	wire         rst_controller_003_reset_out_reset;                        // rst_controller_003:reset_out -> [mm_interconnect_0:fmc_refclk0_Slave_translator_reset_reset_bridge_in_reset_reset, mm_interconnect_0:fmc_refclk0_reset_reset_bridge_in_reset_reset]

	Qsys_clock_in clock_in (
		.in_clk  (clk_clk),              //   input,  width = 1,  in_clk.clk
		.out_clk (clock_in_out_clk_clk)  //  output,  width = 1, out_clk.clk
	);

	Qsys_TERASIC_CLOCK_COUNT_0 fmc_refclk0 (
		.s_clk_in       (clock_in_out_clk_clk),                          //   input,   width = 1,           clk.clk
		.s_address_in   (mm_interconnect_0_fmc_refclk0_slave_address),   //   input,   width = 2,         Slave.address
		.s_read_in      (mm_interconnect_0_fmc_refclk0_slave_read),      //   input,   width = 1,              .read
		.s_readdata_out (mm_interconnect_0_fmc_refclk0_slave_readdata),  //  output,  width = 32,              .readdata
		.s_write_in     (mm_interconnect_0_fmc_refclk0_slave_write),     //   input,   width = 1,              .write
		.s_writedata_in (mm_interconnect_0_fmc_refclk0_slave_writedata), //   input,  width = 32,              .writedata
		.CLK_1          (fmc_refclk0_clk_in_ref_export),                 //   input,   width = 1,    clk_in_ref.export
		.CLK_2          (fmc_refclk0_clk_in_target_export),              //   input,   width = 1, clk_in_target.export
		.s_reset_in     (rst_controller_reset_out_reset)                 //   input,   width = 1,         reset.reset
	);

	Qsys_TERASIC_CLOCK_COUNT_0 fmc_refclk1 (
		.s_clk_in       (clock_in_out_clk_clk),                          //   input,   width = 1,           clk.clk
		.s_address_in   (mm_interconnect_0_fmc_refclk1_slave_address),   //   input,   width = 2,         Slave.address
		.s_read_in      (mm_interconnect_0_fmc_refclk1_slave_read),      //   input,   width = 1,              .read
		.s_readdata_out (mm_interconnect_0_fmc_refclk1_slave_readdata),  //  output,  width = 32,              .readdata
		.s_write_in     (mm_interconnect_0_fmc_refclk1_slave_write),     //   input,   width = 1,              .write
		.s_writedata_in (mm_interconnect_0_fmc_refclk1_slave_writedata), //   input,  width = 32,              .writedata
		.CLK_1          (fmc_refclk1_clk_in_ref_export),                 //   input,   width = 1,    clk_in_ref.export
		.CLK_2          (fmc_refclk1_clk_in_target_export),              //   input,   width = 1, clk_in_target.export
		.s_reset_in     (rst_controller_reset_out_reset)                 //   input,   width = 1,         reset.reset
	);

	Qsys_pio_2 info_board_version (
		.clk      (clock_in_out_clk_clk),                             //   input,   width = 1,                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),                  //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_0_info_board_version_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_0_info_board_version_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (info_board_version_external_connection_export)     //   input,  width = 16, external_connection.export
	);

	Qsys_pio_2 info_core_cur (
		.clk      (clock_in_out_clk_clk),                        //   input,   width = 1,                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),             //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_0_info_core_cur_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_0_info_core_cur_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (info_core_cur_external_connection_export)     //   input,  width = 16, external_connection.export
	);

	Qsys_pio_2 info_core_cur_2 (
		.clk      (clock_in_out_clk_clk),                          //   input,   width = 1,                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),               //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_0_info_core_cur_2_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_0_info_core_cur_2_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (info_core_cur_2_external_connection_export)     //   input,  width = 16, external_connection.export
	);

	Qsys_pio_2 info_core_vol (
		.clk      (clock_in_out_clk_clk),                        //   input,   width = 1,                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),             //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_0_info_core_vol_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_0_info_core_vol_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (info_core_vol_external_connection_export)     //   input,  width = 16, external_connection.export
	);

	Qsys_pio_2 info_core_vol_2 (
		.clk      (clock_in_out_clk_clk),                          //   input,   width = 1,                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),               //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_0_info_core_vol_2_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_0_info_core_vol_2_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (info_core_vol_2_external_connection_export)     //   input,  width = 16, external_connection.export
	);

	Qsys_pio_2 info_fan_speed_1 (
		.clk      (clock_in_out_clk_clk),                           //   input,   width = 1,                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),                //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_0_info_fan_speed_1_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_0_info_fan_speed_1_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (info_fan_speed_1_external_connection_export)     //   input,  width = 16, external_connection.export
	);

	Qsys_pio_2 info_maxcode_version (
		.clk      (clock_in_out_clk_clk),                               //   input,   width = 1,                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),                    //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_0_info_maxcode_version_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_0_info_maxcode_version_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (info_maxcode_version_external_connection_export)     //   input,  width = 16, external_connection.export
	);

	Qsys_pio_2 info_power_in_cur (
		.clk      (clock_in_out_clk_clk),                            //   input,   width = 1,                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),                 //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_0_info_power_in_cur_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_0_info_power_in_cur_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (info_power_in_cur_external_connection_export)     //   input,  width = 16, external_connection.export
	);

	Qsys_pio_2 info_power_in_vol (
		.clk      (clock_in_out_clk_clk),                            //   input,   width = 1,                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),                 //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_0_info_power_in_vol_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_0_info_power_in_vol_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (info_power_in_vol_external_connection_export)     //   input,  width = 16, external_connection.export
	);

	Qsys_pio_2 info_temp_board (
		.clk      (clock_in_out_clk_clk),                          //   input,   width = 1,                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),               //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_0_info_temp_board_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_0_info_temp_board_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (info_temp_board_external_connection_export)     //   input,  width = 16, external_connection.export
	);

	Qsys_pio_2 info_temp_board_2 (
		.clk      (clock_in_out_clk_clk),                            //   input,   width = 1,                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),                 //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_0_info_temp_board_2_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_0_info_temp_board_2_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (info_temp_board_2_external_connection_export)     //   input,  width = 16, external_connection.export
	);

	Qsys_pio_2 info_temp_etile (
		.clk      (clock_in_out_clk_clk),                          //   input,   width = 1,                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),               //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_0_info_temp_etile_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_0_info_temp_etile_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (info_temp_etile_external_connection_export)     //   input,  width = 16, external_connection.export
	);

	Qsys_pio_2 info_temp_fpga (
		.clk      (clock_in_out_clk_clk),                         //   input,   width = 1,                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),              //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_0_info_temp_fpga_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_0_info_temp_fpga_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (info_temp_fpga_external_connection_export)     //   input,  width = 16, external_connection.export
	);

	Qsys_pio_2 info_temp_ptile (
		.clk      (clock_in_out_clk_clk),                          //   input,   width = 1,                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),               //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_0_info_temp_ptile_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_0_info_temp_ptile_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (info_temp_ptile_external_connection_export)     //   input,  width = 16, external_connection.export
	);

	Qsys_pio_2 info_temp_sdm (
		.clk      (clock_in_out_clk_clk),                        //   input,   width = 1,                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),             //   input,   width = 1,               reset.reset_n
		.address  (mm_interconnect_0_info_temp_sdm_s1_address),  //   input,   width = 2,                  s1.address
		.readdata (mm_interconnect_0_info_temp_sdm_s1_readdata), //  output,  width = 32,                    .readdata
		.in_port  (info_temp_sdm_external_connection_export)     //   input,  width = 16, external_connection.export
	);

	Qsys_intel_onchip_memory_0 intel_onchip_memory (
		.clk        (clock_in_out_clk_clk),                                //   input,   width = 1,   clk1.clk
		.address    (mm_interconnect_0_intel_onchip_memory_s1_address),    //   input,  width = 17,     s1.address
		.read       (mm_interconnect_0_intel_onchip_memory_s1_read),       //   input,   width = 1,       .read
		.readdata   (mm_interconnect_0_intel_onchip_memory_s1_readdata),   //  output,  width = 32,       .readdata
		.byteenable (mm_interconnect_0_intel_onchip_memory_s1_byteenable), //   input,   width = 4,       .byteenable
		.write      (mm_interconnect_0_intel_onchip_memory_s1_write),      //   input,   width = 1,       .write
		.writedata  (mm_interconnect_0_intel_onchip_memory_s1_writedata),  //   input,  width = 32,       .writedata
		.reset      (rst_controller_reset_out_reset),                      //   input,   width = 1, reset1.reset
		.reset_req  (rst_controller_reset_out_reset_req)                   //   input,   width = 1,       .reset_req
	);

	Qsys_jtag_uart_0 jtag_uart (
		.clk            (clock_in_out_clk_clk),                                      //   input,   width = 1,               clk.clk
		.rst_n          (~rst_controller_reset_out_reset),                           //   input,   width = 1,             reset.reset_n
		.av_chipselect  (mm_interconnect_0_jtag_uart_avalon_jtag_slave_chipselect),  //   input,   width = 1, avalon_jtag_slave.chipselect
		.av_address     (mm_interconnect_0_jtag_uart_avalon_jtag_slave_address),     //   input,   width = 1,                  .address
		.av_read_n      (~mm_interconnect_0_jtag_uart_avalon_jtag_slave_read),       //   input,   width = 1,                  .read_n
		.av_readdata    (mm_interconnect_0_jtag_uart_avalon_jtag_slave_readdata),    //  output,  width = 32,                  .readdata
		.av_write_n     (~mm_interconnect_0_jtag_uart_avalon_jtag_slave_write),      //   input,   width = 1,                  .write_n
		.av_writedata   (mm_interconnect_0_jtag_uart_avalon_jtag_slave_writedata),   //   input,  width = 32,                  .writedata
		.av_waitrequest (mm_interconnect_0_jtag_uart_avalon_jtag_slave_waitrequest), //  output,   width = 1,                  .waitrequest
		.av_irq         (irq_mapper_receiver1_irq)                                   //  output,   width = 1,               irq.irq
	);

	Qsys_nios2_gen2_0 nios2_gen2 (
		.clk                                 (clock_in_out_clk_clk),                                     //   input,   width = 1,                       clk.clk
		.reset_n                             (~rst_controller_001_reset_out_reset),                      //   input,   width = 1,                     reset.reset_n
		.reset_req                           (rst_controller_001_reset_out_reset_req),                   //   input,   width = 1,                          .reset_req
		.d_address                           (nios2_gen2_data_master_address),                           //  output,  width = 21,               data_master.address
		.d_byteenable                        (nios2_gen2_data_master_byteenable),                        //  output,   width = 4,                          .byteenable
		.d_read                              (nios2_gen2_data_master_read),                              //  output,   width = 1,                          .read
		.d_readdata                          (nios2_gen2_data_master_readdata),                          //   input,  width = 32,                          .readdata
		.d_waitrequest                       (nios2_gen2_data_master_waitrequest),                       //   input,   width = 1,                          .waitrequest
		.d_write                             (nios2_gen2_data_master_write),                             //  output,   width = 1,                          .write
		.d_writedata                         (nios2_gen2_data_master_writedata),                         //  output,  width = 32,                          .writedata
		.d_readdatavalid                     (nios2_gen2_data_master_readdatavalid),                     //   input,   width = 1,                          .readdatavalid
		.debug_mem_slave_debugaccess_to_roms (nios2_gen2_data_master_debugaccess),                       //  output,   width = 1,                          .debugaccess
		.i_address                           (nios2_gen2_instruction_master_address),                    //  output,  width = 21,        instruction_master.address
		.i_read                              (nios2_gen2_instruction_master_read),                       //  output,   width = 1,                          .read
		.i_readdata                          (nios2_gen2_instruction_master_readdata),                   //   input,  width = 32,                          .readdata
		.i_waitrequest                       (nios2_gen2_instruction_master_waitrequest),                //   input,   width = 1,                          .waitrequest
		.i_readdatavalid                     (nios2_gen2_instruction_master_readdatavalid),              //   input,   width = 1,                          .readdatavalid
		.irq                                 (nios2_gen2_irq_irq),                                       //   input,  width = 32,                       irq.irq
		.debug_reset_request                 (nios2_gen2_debug_reset_request_reset),                     //  output,   width = 1,       debug_reset_request.reset
		.debug_mem_slave_address             (mm_interconnect_0_nios2_gen2_debug_mem_slave_address),     //   input,   width = 9,           debug_mem_slave.address
		.debug_mem_slave_byteenable          (mm_interconnect_0_nios2_gen2_debug_mem_slave_byteenable),  //   input,   width = 4,                          .byteenable
		.debug_mem_slave_debugaccess         (mm_interconnect_0_nios2_gen2_debug_mem_slave_debugaccess), //   input,   width = 1,                          .debugaccess
		.debug_mem_slave_read                (mm_interconnect_0_nios2_gen2_debug_mem_slave_read),        //   input,   width = 1,                          .read
		.debug_mem_slave_readdata            (mm_interconnect_0_nios2_gen2_debug_mem_slave_readdata),    //  output,  width = 32,                          .readdata
		.debug_mem_slave_waitrequest         (mm_interconnect_0_nios2_gen2_debug_mem_slave_waitrequest), //  output,   width = 1,                          .waitrequest
		.debug_mem_slave_write               (mm_interconnect_0_nios2_gen2_debug_mem_slave_write),       //   input,   width = 1,                          .write
		.debug_mem_slave_writedata           (mm_interconnect_0_nios2_gen2_debug_mem_slave_writedata),   //   input,  width = 32,                          .writedata
		.dummy_ci_port                       ()                                                          //  output,   width = 1, custom_instruction_master.readra
	);

	Qsys_TERASIC_CLOCK_COUNT_0 qsfp28_refclk (
		.s_clk_in       (clock_in_out_clk_clk),                            //   input,   width = 1,           clk.clk
		.s_address_in   (mm_interconnect_0_qsfp28_refclk_slave_address),   //   input,   width = 2,         Slave.address
		.s_read_in      (mm_interconnect_0_qsfp28_refclk_slave_read),      //   input,   width = 1,              .read
		.s_readdata_out (mm_interconnect_0_qsfp28_refclk_slave_readdata),  //  output,  width = 32,              .readdata
		.s_write_in     (mm_interconnect_0_qsfp28_refclk_slave_write),     //   input,   width = 1,              .write
		.s_writedata_in (mm_interconnect_0_qsfp28_refclk_slave_writedata), //   input,  width = 32,              .writedata
		.CLK_1          (qsfp28_refclk_clk_in_ref_export),                 //   input,   width = 1,    clk_in_ref.export
		.CLK_2          (qsfp28_refclk_clk_in_target_export),              //   input,   width = 1, clk_in_target.export
		.s_reset_in     (rst_controller_reset_out_reset)                   //   input,   width = 1,         reset.reset
	);

	Qsys_TERASIC_CLOCK_COUNT_0 qsfp28rsv_refclk (
		.s_clk_in       (clock_in_out_clk_clk),                               //   input,   width = 1,           clk.clk
		.s_address_in   (mm_interconnect_0_qsfp28rsv_refclk_slave_address),   //   input,   width = 2,         Slave.address
		.s_read_in      (mm_interconnect_0_qsfp28rsv_refclk_slave_read),      //   input,   width = 1,              .read
		.s_readdata_out (mm_interconnect_0_qsfp28rsv_refclk_slave_readdata),  //  output,  width = 32,              .readdata
		.s_write_in     (mm_interconnect_0_qsfp28rsv_refclk_slave_write),     //   input,   width = 1,              .write
		.s_writedata_in (mm_interconnect_0_qsfp28rsv_refclk_slave_writedata), //   input,  width = 32,              .writedata
		.CLK_1          (qsfp28rsv_refclk_clk_in_ref_export),                 //   input,   width = 1,    clk_in_ref.export
		.CLK_2          (qsfp28rsv_refclk_clk_in_target_export),              //   input,   width = 1, clk_in_target.export
		.s_reset_in     (rst_controller_reset_out_reset)                      //   input,   width = 1,         reset.reset
	);

	Qsys_reset_in reset_in (
		.clk         (clock_in_out_clk_clk),     //   input,  width = 1,       clk.clk
		.in_reset_n  (reset_reset_n),            //   input,  width = 1,  in_reset.reset_n
		.out_reset_n (reset_in_out_reset_reset)  //  output,  width = 1, out_reset.reset_n
	);

	Qsys_i2c_opencores_0 si5340a_i2c (
		.wb_clk_i   (clock_in_out_clk_clk),                                     //   input,  width = 1,            clock.clk
		.wb_rst_i   (rst_controller_reset_out_reset),                           //   input,  width = 1,      clock_reset.reset
		.scl_pad_io (si5340a_i2c_export_scl_pad_io),                            //   inout,  width = 1,           export.scl_pad_io
		.sda_pad_io (si5340a_i2c_export_sda_pad_io),                            //   inout,  width = 1,                 .sda_pad_io
		.wb_adr_i   (mm_interconnect_0_si5340a_i2c_avalon_slave_0_address),     //   input,  width = 3,   avalon_slave_0.address
		.wb_dat_i   (mm_interconnect_0_si5340a_i2c_avalon_slave_0_writedata),   //   input,  width = 8,                 .writedata
		.wb_dat_o   (mm_interconnect_0_si5340a_i2c_avalon_slave_0_readdata),    //  output,  width = 8,                 .readdata
		.wb_we_i    (mm_interconnect_0_si5340a_i2c_avalon_slave_0_write),       //   input,  width = 1,                 .write
		.wb_stb_i   (mm_interconnect_0_si5340a_i2c_avalon_slave_0_chipselect),  //   input,  width = 1,                 .chipselect
		.wb_ack_o   (mm_interconnect_0_si5340a_i2c_avalon_slave_0_waitrequest), //  output,  width = 1,                 .waitrequest_n
		.wb_inta_o  (irq_mapper_receiver0_irq)                                  //  output,  width = 1, interrupt_sender.irq
	);

	Qsys_pio_0 si5340a_oe_n (
		.clk        (clock_in_out_clk_clk),                         //   input,   width = 1,                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),              //   input,   width = 1,               reset.reset_n
		.address    (mm_interconnect_0_si5340a_oe_n_s1_address),    //   input,   width = 2,                  s1.address
		.write_n    (~mm_interconnect_0_si5340a_oe_n_s1_write),     //   input,   width = 1,                    .write_n
		.writedata  (mm_interconnect_0_si5340a_oe_n_s1_writedata),  //   input,  width = 32,                    .writedata
		.chipselect (mm_interconnect_0_si5340a_oe_n_s1_chipselect), //   input,   width = 1,                    .chipselect
		.readdata   (mm_interconnect_0_si5340a_oe_n_s1_readdata),   //  output,  width = 32,                    .readdata
		.out_port   (si5340a_oe_n_external_connection_export)       //  output,   width = 1, external_connection.export
	);

	Qsys_pio_1 si5340a_rst_n (
		.clk        (clock_in_out_clk_clk),                          //   input,   width = 1,                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),               //   input,   width = 1,               reset.reset_n
		.address    (mm_interconnect_0_si5340a_rst_n_s1_address),    //   input,   width = 2,                  s1.address
		.write_n    (~mm_interconnect_0_si5340a_rst_n_s1_write),     //   input,   width = 1,                    .write_n
		.writedata  (mm_interconnect_0_si5340a_rst_n_s1_writedata),  //   input,  width = 32,                    .writedata
		.chipselect (mm_interconnect_0_si5340a_rst_n_s1_chipselect), //   input,   width = 1,                    .chipselect
		.readdata   (mm_interconnect_0_si5340a_rst_n_s1_readdata),   //  output,  width = 32,                    .readdata
		.out_port   (si5340a_rst_n_external_connection_export)       //  output,   width = 1, external_connection.export
	);

	Qsys_sysid_qsys_0 sysid_qsys (
		.clock    (clock_in_out_clk_clk),                                //   input,   width = 1,           clk.clk
		.reset_n  (~rst_controller_reset_out_reset),                     //   input,   width = 1,         reset.reset_n
		.readdata (mm_interconnect_0_sysid_qsys_control_slave_readdata), //  output,  width = 32, control_slave.readdata
		.address  (mm_interconnect_0_sysid_qsys_control_slave_address)   //   input,   width = 1,              .address
	);

	Qsys_timer_0 timer (
		.clk        (clock_in_out_clk_clk),                  //   input,   width = 1,   clk.clk
		.reset_n    (~rst_controller_reset_out_reset),       //   input,   width = 1, reset.reset_n
		.address    (mm_interconnect_0_timer_s1_address),    //   input,   width = 3,    s1.address
		.writedata  (mm_interconnect_0_timer_s1_writedata),  //   input,  width = 16,      .writedata
		.readdata   (mm_interconnect_0_timer_s1_readdata),   //  output,  width = 16,      .readdata
		.chipselect (mm_interconnect_0_timer_s1_chipselect), //   input,   width = 1,      .chipselect
		.write_n    (~mm_interconnect_0_timer_s1_write),     //   input,   width = 1,      .write_n
		.irq        (irq_mapper_receiver2_irq)               //  output,   width = 1,   irq.irq
	);

	Qsys_altera_mm_interconnect_1920_xxx26oy mm_interconnect_0 (
		.nios2_gen2_data_master_address                                      (nios2_gen2_data_master_address),                            //   input,  width = 21,                                        nios2_gen2_data_master.address
		.nios2_gen2_data_master_waitrequest                                  (nios2_gen2_data_master_waitrequest),                        //  output,   width = 1,                                                              .waitrequest
		.nios2_gen2_data_master_byteenable                                   (nios2_gen2_data_master_byteenable),                         //   input,   width = 4,                                                              .byteenable
		.nios2_gen2_data_master_read                                         (nios2_gen2_data_master_read),                               //   input,   width = 1,                                                              .read
		.nios2_gen2_data_master_readdata                                     (nios2_gen2_data_master_readdata),                           //  output,  width = 32,                                                              .readdata
		.nios2_gen2_data_master_readdatavalid                                (nios2_gen2_data_master_readdatavalid),                      //  output,   width = 1,                                                              .readdatavalid
		.nios2_gen2_data_master_write                                        (nios2_gen2_data_master_write),                              //   input,   width = 1,                                                              .write
		.nios2_gen2_data_master_writedata                                    (nios2_gen2_data_master_writedata),                          //   input,  width = 32,                                                              .writedata
		.nios2_gen2_data_master_debugaccess                                  (nios2_gen2_data_master_debugaccess),                        //   input,   width = 1,                                                              .debugaccess
		.nios2_gen2_instruction_master_address                               (nios2_gen2_instruction_master_address),                     //   input,  width = 21,                                 nios2_gen2_instruction_master.address
		.nios2_gen2_instruction_master_waitrequest                           (nios2_gen2_instruction_master_waitrequest),                 //  output,   width = 1,                                                              .waitrequest
		.nios2_gen2_instruction_master_read                                  (nios2_gen2_instruction_master_read),                        //   input,   width = 1,                                                              .read
		.nios2_gen2_instruction_master_readdata                              (nios2_gen2_instruction_master_readdata),                    //  output,  width = 32,                                                              .readdata
		.nios2_gen2_instruction_master_readdatavalid                         (nios2_gen2_instruction_master_readdatavalid),               //  output,   width = 1,                                                              .readdatavalid
		.fmc_refclk0_Slave_address                                           (mm_interconnect_0_fmc_refclk0_slave_address),               //  output,   width = 2,                                             fmc_refclk0_Slave.address
		.fmc_refclk0_Slave_write                                             (mm_interconnect_0_fmc_refclk0_slave_write),                 //  output,   width = 1,                                                              .write
		.fmc_refclk0_Slave_read                                              (mm_interconnect_0_fmc_refclk0_slave_read),                  //  output,   width = 1,                                                              .read
		.fmc_refclk0_Slave_readdata                                          (mm_interconnect_0_fmc_refclk0_slave_readdata),              //   input,  width = 32,                                                              .readdata
		.fmc_refclk0_Slave_writedata                                         (mm_interconnect_0_fmc_refclk0_slave_writedata),             //  output,  width = 32,                                                              .writedata
		.fmc_refclk1_Slave_address                                           (mm_interconnect_0_fmc_refclk1_slave_address),               //  output,   width = 2,                                             fmc_refclk1_Slave.address
		.fmc_refclk1_Slave_write                                             (mm_interconnect_0_fmc_refclk1_slave_write),                 //  output,   width = 1,                                                              .write
		.fmc_refclk1_Slave_read                                              (mm_interconnect_0_fmc_refclk1_slave_read),                  //  output,   width = 1,                                                              .read
		.fmc_refclk1_Slave_readdata                                          (mm_interconnect_0_fmc_refclk1_slave_readdata),              //   input,  width = 32,                                                              .readdata
		.fmc_refclk1_Slave_writedata                                         (mm_interconnect_0_fmc_refclk1_slave_writedata),             //  output,  width = 32,                                                              .writedata
		.qsfp28rsv_refclk_Slave_address                                      (mm_interconnect_0_qsfp28rsv_refclk_slave_address),          //  output,   width = 2,                                        qsfp28rsv_refclk_Slave.address
		.qsfp28rsv_refclk_Slave_write                                        (mm_interconnect_0_qsfp28rsv_refclk_slave_write),            //  output,   width = 1,                                                              .write
		.qsfp28rsv_refclk_Slave_read                                         (mm_interconnect_0_qsfp28rsv_refclk_slave_read),             //  output,   width = 1,                                                              .read
		.qsfp28rsv_refclk_Slave_readdata                                     (mm_interconnect_0_qsfp28rsv_refclk_slave_readdata),         //   input,  width = 32,                                                              .readdata
		.qsfp28rsv_refclk_Slave_writedata                                    (mm_interconnect_0_qsfp28rsv_refclk_slave_writedata),        //  output,  width = 32,                                                              .writedata
		.qsfp28_refclk_Slave_address                                         (mm_interconnect_0_qsfp28_refclk_slave_address),             //  output,   width = 2,                                           qsfp28_refclk_Slave.address
		.qsfp28_refclk_Slave_write                                           (mm_interconnect_0_qsfp28_refclk_slave_write),               //  output,   width = 1,                                                              .write
		.qsfp28_refclk_Slave_read                                            (mm_interconnect_0_qsfp28_refclk_slave_read),                //  output,   width = 1,                                                              .read
		.qsfp28_refclk_Slave_readdata                                        (mm_interconnect_0_qsfp28_refclk_slave_readdata),            //   input,  width = 32,                                                              .readdata
		.qsfp28_refclk_Slave_writedata                                       (mm_interconnect_0_qsfp28_refclk_slave_writedata),           //  output,  width = 32,                                                              .writedata
		.jtag_uart_avalon_jtag_slave_address                                 (mm_interconnect_0_jtag_uart_avalon_jtag_slave_address),     //  output,   width = 1,                                   jtag_uart_avalon_jtag_slave.address
		.jtag_uart_avalon_jtag_slave_write                                   (mm_interconnect_0_jtag_uart_avalon_jtag_slave_write),       //  output,   width = 1,                                                              .write
		.jtag_uart_avalon_jtag_slave_read                                    (mm_interconnect_0_jtag_uart_avalon_jtag_slave_read),        //  output,   width = 1,                                                              .read
		.jtag_uart_avalon_jtag_slave_readdata                                (mm_interconnect_0_jtag_uart_avalon_jtag_slave_readdata),    //   input,  width = 32,                                                              .readdata
		.jtag_uart_avalon_jtag_slave_writedata                               (mm_interconnect_0_jtag_uart_avalon_jtag_slave_writedata),   //  output,  width = 32,                                                              .writedata
		.jtag_uart_avalon_jtag_slave_waitrequest                             (mm_interconnect_0_jtag_uart_avalon_jtag_slave_waitrequest), //   input,   width = 1,                                                              .waitrequest
		.jtag_uart_avalon_jtag_slave_chipselect                              (mm_interconnect_0_jtag_uart_avalon_jtag_slave_chipselect),  //  output,   width = 1,                                                              .chipselect
		.si5340a_i2c_avalon_slave_0_address                                  (mm_interconnect_0_si5340a_i2c_avalon_slave_0_address),      //  output,   width = 3,                                    si5340a_i2c_avalon_slave_0.address
		.si5340a_i2c_avalon_slave_0_write                                    (mm_interconnect_0_si5340a_i2c_avalon_slave_0_write),        //  output,   width = 1,                                                              .write
		.si5340a_i2c_avalon_slave_0_readdata                                 (mm_interconnect_0_si5340a_i2c_avalon_slave_0_readdata),     //   input,   width = 8,                                                              .readdata
		.si5340a_i2c_avalon_slave_0_writedata                                (mm_interconnect_0_si5340a_i2c_avalon_slave_0_writedata),    //  output,   width = 8,                                                              .writedata
		.si5340a_i2c_avalon_slave_0_waitrequest                              (~mm_interconnect_0_si5340a_i2c_avalon_slave_0_waitrequest), //   input,   width = 1,                                                              .waitrequest
		.si5340a_i2c_avalon_slave_0_chipselect                               (mm_interconnect_0_si5340a_i2c_avalon_slave_0_chipselect),   //  output,   width = 1,                                                              .chipselect
		.sysid_qsys_control_slave_address                                    (mm_interconnect_0_sysid_qsys_control_slave_address),        //  output,   width = 1,                                      sysid_qsys_control_slave.address
		.sysid_qsys_control_slave_readdata                                   (mm_interconnect_0_sysid_qsys_control_slave_readdata),       //   input,  width = 32,                                                              .readdata
		.nios2_gen2_debug_mem_slave_address                                  (mm_interconnect_0_nios2_gen2_debug_mem_slave_address),      //  output,   width = 9,                                    nios2_gen2_debug_mem_slave.address
		.nios2_gen2_debug_mem_slave_write                                    (mm_interconnect_0_nios2_gen2_debug_mem_slave_write),        //  output,   width = 1,                                                              .write
		.nios2_gen2_debug_mem_slave_read                                     (mm_interconnect_0_nios2_gen2_debug_mem_slave_read),         //  output,   width = 1,                                                              .read
		.nios2_gen2_debug_mem_slave_readdata                                 (mm_interconnect_0_nios2_gen2_debug_mem_slave_readdata),     //   input,  width = 32,                                                              .readdata
		.nios2_gen2_debug_mem_slave_writedata                                (mm_interconnect_0_nios2_gen2_debug_mem_slave_writedata),    //  output,  width = 32,                                                              .writedata
		.nios2_gen2_debug_mem_slave_byteenable                               (mm_interconnect_0_nios2_gen2_debug_mem_slave_byteenable),   //  output,   width = 4,                                                              .byteenable
		.nios2_gen2_debug_mem_slave_waitrequest                              (mm_interconnect_0_nios2_gen2_debug_mem_slave_waitrequest),  //   input,   width = 1,                                                              .waitrequest
		.nios2_gen2_debug_mem_slave_debugaccess                              (mm_interconnect_0_nios2_gen2_debug_mem_slave_debugaccess),  //  output,   width = 1,                                                              .debugaccess
		.intel_onchip_memory_s1_address                                      (mm_interconnect_0_intel_onchip_memory_s1_address),          //  output,  width = 17,                                        intel_onchip_memory_s1.address
		.intel_onchip_memory_s1_write                                        (mm_interconnect_0_intel_onchip_memory_s1_write),            //  output,   width = 1,                                                              .write
		.intel_onchip_memory_s1_read                                         (mm_interconnect_0_intel_onchip_memory_s1_read),             //  output,   width = 1,                                                              .read
		.intel_onchip_memory_s1_readdata                                     (mm_interconnect_0_intel_onchip_memory_s1_readdata),         //   input,  width = 32,                                                              .readdata
		.intel_onchip_memory_s1_writedata                                    (mm_interconnect_0_intel_onchip_memory_s1_writedata),        //  output,  width = 32,                                                              .writedata
		.intel_onchip_memory_s1_byteenable                                   (mm_interconnect_0_intel_onchip_memory_s1_byteenable),       //  output,   width = 4,                                                              .byteenable
		.timer_s1_address                                                    (mm_interconnect_0_timer_s1_address),                        //  output,   width = 3,                                                      timer_s1.address
		.timer_s1_write                                                      (mm_interconnect_0_timer_s1_write),                          //  output,   width = 1,                                                              .write
		.timer_s1_readdata                                                   (mm_interconnect_0_timer_s1_readdata),                       //   input,  width = 16,                                                              .readdata
		.timer_s1_writedata                                                  (mm_interconnect_0_timer_s1_writedata),                      //  output,  width = 16,                                                              .writedata
		.timer_s1_chipselect                                                 (mm_interconnect_0_timer_s1_chipselect),                     //  output,   width = 1,                                                              .chipselect
		.si5340a_oe_n_s1_address                                             (mm_interconnect_0_si5340a_oe_n_s1_address),                 //  output,   width = 2,                                               si5340a_oe_n_s1.address
		.si5340a_oe_n_s1_write                                               (mm_interconnect_0_si5340a_oe_n_s1_write),                   //  output,   width = 1,                                                              .write
		.si5340a_oe_n_s1_readdata                                            (mm_interconnect_0_si5340a_oe_n_s1_readdata),                //   input,  width = 32,                                                              .readdata
		.si5340a_oe_n_s1_writedata                                           (mm_interconnect_0_si5340a_oe_n_s1_writedata),               //  output,  width = 32,                                                              .writedata
		.si5340a_oe_n_s1_chipselect                                          (mm_interconnect_0_si5340a_oe_n_s1_chipselect),              //  output,   width = 1,                                                              .chipselect
		.si5340a_rst_n_s1_address                                            (mm_interconnect_0_si5340a_rst_n_s1_address),                //  output,   width = 2,                                              si5340a_rst_n_s1.address
		.si5340a_rst_n_s1_write                                              (mm_interconnect_0_si5340a_rst_n_s1_write),                  //  output,   width = 1,                                                              .write
		.si5340a_rst_n_s1_readdata                                           (mm_interconnect_0_si5340a_rst_n_s1_readdata),               //   input,  width = 32,                                                              .readdata
		.si5340a_rst_n_s1_writedata                                          (mm_interconnect_0_si5340a_rst_n_s1_writedata),              //  output,  width = 32,                                                              .writedata
		.si5340a_rst_n_s1_chipselect                                         (mm_interconnect_0_si5340a_rst_n_s1_chipselect),             //  output,   width = 1,                                                              .chipselect
		.info_board_version_s1_address                                       (mm_interconnect_0_info_board_version_s1_address),           //  output,   width = 2,                                         info_board_version_s1.address
		.info_board_version_s1_readdata                                      (mm_interconnect_0_info_board_version_s1_readdata),          //   input,  width = 32,                                                              .readdata
		.info_maxcode_version_s1_address                                     (mm_interconnect_0_info_maxcode_version_s1_address),         //  output,   width = 2,                                       info_maxcode_version_s1.address
		.info_maxcode_version_s1_readdata                                    (mm_interconnect_0_info_maxcode_version_s1_readdata),        //   input,  width = 32,                                                              .readdata
		.info_power_in_vol_s1_address                                        (mm_interconnect_0_info_power_in_vol_s1_address),            //  output,   width = 2,                                          info_power_in_vol_s1.address
		.info_power_in_vol_s1_readdata                                       (mm_interconnect_0_info_power_in_vol_s1_readdata),           //   input,  width = 32,                                                              .readdata
		.info_power_in_cur_s1_address                                        (mm_interconnect_0_info_power_in_cur_s1_address),            //  output,   width = 2,                                          info_power_in_cur_s1.address
		.info_power_in_cur_s1_readdata                                       (mm_interconnect_0_info_power_in_cur_s1_readdata),           //   input,  width = 32,                                                              .readdata
		.info_core_vol_s1_address                                            (mm_interconnect_0_info_core_vol_s1_address),                //  output,   width = 2,                                              info_core_vol_s1.address
		.info_core_vol_s1_readdata                                           (mm_interconnect_0_info_core_vol_s1_readdata),               //   input,  width = 32,                                                              .readdata
		.info_core_cur_s1_address                                            (mm_interconnect_0_info_core_cur_s1_address),                //  output,   width = 2,                                              info_core_cur_s1.address
		.info_core_cur_s1_readdata                                           (mm_interconnect_0_info_core_cur_s1_readdata),               //   input,  width = 32,                                                              .readdata
		.info_core_vol_2_s1_address                                          (mm_interconnect_0_info_core_vol_2_s1_address),              //  output,   width = 2,                                            info_core_vol_2_s1.address
		.info_core_vol_2_s1_readdata                                         (mm_interconnect_0_info_core_vol_2_s1_readdata),             //   input,  width = 32,                                                              .readdata
		.info_core_cur_2_s1_address                                          (mm_interconnect_0_info_core_cur_2_s1_address),              //  output,   width = 2,                                            info_core_cur_2_s1.address
		.info_core_cur_2_s1_readdata                                         (mm_interconnect_0_info_core_cur_2_s1_readdata),             //   input,  width = 32,                                                              .readdata
		.info_fan_speed_1_s1_address                                         (mm_interconnect_0_info_fan_speed_1_s1_address),             //  output,   width = 2,                                           info_fan_speed_1_s1.address
		.info_fan_speed_1_s1_readdata                                        (mm_interconnect_0_info_fan_speed_1_s1_readdata),            //   input,  width = 32,                                                              .readdata
		.info_temp_fpga_s1_address                                           (mm_interconnect_0_info_temp_fpga_s1_address),               //  output,   width = 2,                                             info_temp_fpga_s1.address
		.info_temp_fpga_s1_readdata                                          (mm_interconnect_0_info_temp_fpga_s1_readdata),              //   input,  width = 32,                                                              .readdata
		.info_temp_board_s1_address                                          (mm_interconnect_0_info_temp_board_s1_address),              //  output,   width = 2,                                            info_temp_board_s1.address
		.info_temp_board_s1_readdata                                         (mm_interconnect_0_info_temp_board_s1_readdata),             //   input,  width = 32,                                                              .readdata
		.info_temp_board_2_s1_address                                        (mm_interconnect_0_info_temp_board_2_s1_address),            //  output,   width = 2,                                          info_temp_board_2_s1.address
		.info_temp_board_2_s1_readdata                                       (mm_interconnect_0_info_temp_board_2_s1_readdata),           //   input,  width = 32,                                                              .readdata
		.info_temp_sdm_s1_address                                            (mm_interconnect_0_info_temp_sdm_s1_address),                //  output,   width = 2,                                              info_temp_sdm_s1.address
		.info_temp_sdm_s1_readdata                                           (mm_interconnect_0_info_temp_sdm_s1_readdata),               //   input,  width = 32,                                                              .readdata
		.info_temp_etile_s1_address                                          (mm_interconnect_0_info_temp_etile_s1_address),              //  output,   width = 2,                                            info_temp_etile_s1.address
		.info_temp_etile_s1_readdata                                         (mm_interconnect_0_info_temp_etile_s1_readdata),             //   input,  width = 32,                                                              .readdata
		.info_temp_ptile_s1_address                                          (mm_interconnect_0_info_temp_ptile_s1_address),              //  output,   width = 2,                                            info_temp_ptile_s1.address
		.info_temp_ptile_s1_readdata                                         (mm_interconnect_0_info_temp_ptile_s1_readdata),             //   input,  width = 32,                                                              .readdata
		.nios2_gen2_reset_reset_bridge_in_reset_reset                        (rst_controller_002_reset_out_reset),                        //   input,   width = 1,                        nios2_gen2_reset_reset_bridge_in_reset.reset
		.fmc_refclk0_reset_reset_bridge_in_reset_reset                       (rst_controller_003_reset_out_reset),                        //   input,   width = 1,                       fmc_refclk0_reset_reset_bridge_in_reset.reset
		.nios2_gen2_data_master_translator_reset_reset_bridge_in_reset_reset (rst_controller_002_reset_out_reset),                        //   input,   width = 1, nios2_gen2_data_master_translator_reset_reset_bridge_in_reset.reset
		.fmc_refclk0_Slave_translator_reset_reset_bridge_in_reset_reset      (rst_controller_003_reset_out_reset),                        //   input,   width = 1,      fmc_refclk0_Slave_translator_reset_reset_bridge_in_reset.reset
		.clock_in_out_clk_clk                                                (clock_in_out_clk_clk)                                       //   input,   width = 1,                                              clock_in_out_clk.clk
	);

	Qsys_altera_irq_mapper_1920_6plpjrq irq_mapper (
		.clk           (clock_in_out_clk_clk),               //   input,   width = 1,       clk.clk
		.reset         (rst_controller_001_reset_out_reset), //   input,   width = 1, clk_reset.reset
		.receiver0_irq (irq_mapper_receiver0_irq),           //   input,   width = 1, receiver0.irq
		.receiver1_irq (irq_mapper_receiver1_irq),           //   input,   width = 1, receiver1.irq
		.receiver2_irq (irq_mapper_receiver2_irq),           //   input,   width = 1, receiver2.irq
		.sender_irq    (nios2_gen2_irq_irq)                  //  output,  width = 32,    sender.irq
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (1),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller (
		.reset_in0      (~reset_in_out_reset_reset),          //   input,  width = 1, reset_in0.reset
		.clk            (clock_in_out_clk_clk),               //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_reset_out_reset),     //  output,  width = 1, reset_out.reset
		.reset_req      (rst_controller_reset_out_reset_req), //  output,  width = 1,          .reset_req
		.reset_req_in0  (1'b0),                               // (terminated),                       
		.reset_in1      (1'b0),                               // (terminated),                       
		.reset_req_in1  (1'b0),                               // (terminated),                       
		.reset_in2      (1'b0),                               // (terminated),                       
		.reset_req_in2  (1'b0),                               // (terminated),                       
		.reset_in3      (1'b0),                               // (terminated),                       
		.reset_req_in3  (1'b0),                               // (terminated),                       
		.reset_in4      (1'b0),                               // (terminated),                       
		.reset_req_in4  (1'b0),                               // (terminated),                       
		.reset_in5      (1'b0),                               // (terminated),                       
		.reset_req_in5  (1'b0),                               // (terminated),                       
		.reset_in6      (1'b0),                               // (terminated),                       
		.reset_req_in6  (1'b0),                               // (terminated),                       
		.reset_in7      (1'b0),                               // (terminated),                       
		.reset_req_in7  (1'b0),                               // (terminated),                       
		.reset_in8      (1'b0),                               // (terminated),                       
		.reset_req_in8  (1'b0),                               // (terminated),                       
		.reset_in9      (1'b0),                               // (terminated),                       
		.reset_req_in9  (1'b0),                               // (terminated),                       
		.reset_in10     (1'b0),                               // (terminated),                       
		.reset_req_in10 (1'b0),                               // (terminated),                       
		.reset_in11     (1'b0),                               // (terminated),                       
		.reset_req_in11 (1'b0),                               // (terminated),                       
		.reset_in12     (1'b0),                               // (terminated),                       
		.reset_req_in12 (1'b0),                               // (terminated),                       
		.reset_in13     (1'b0),                               // (terminated),                       
		.reset_req_in13 (1'b0),                               // (terminated),                       
		.reset_in14     (1'b0),                               // (terminated),                       
		.reset_req_in14 (1'b0),                               // (terminated),                       
		.reset_in15     (1'b0),                               // (terminated),                       
		.reset_req_in15 (1'b0)                                // (terminated),                       
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (2),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (1),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_001 (
		.reset_in0      (nios2_gen2_debug_reset_request_reset),   //   input,  width = 1, reset_in0.reset
		.reset_in1      (~reset_in_out_reset_reset),              //   input,  width = 1, reset_in1.reset
		.clk            (clock_in_out_clk_clk),                   //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_001_reset_out_reset),     //  output,  width = 1, reset_out.reset
		.reset_req      (rst_controller_001_reset_out_reset_req), //  output,  width = 1,          .reset_req
		.reset_req_in0  (1'b0),                                   // (terminated),                       
		.reset_req_in1  (1'b0),                                   // (terminated),                       
		.reset_in2      (1'b0),                                   // (terminated),                       
		.reset_req_in2  (1'b0),                                   // (terminated),                       
		.reset_in3      (1'b0),                                   // (terminated),                       
		.reset_req_in3  (1'b0),                                   // (terminated),                       
		.reset_in4      (1'b0),                                   // (terminated),                       
		.reset_req_in4  (1'b0),                                   // (terminated),                       
		.reset_in5      (1'b0),                                   // (terminated),                       
		.reset_req_in5  (1'b0),                                   // (terminated),                       
		.reset_in6      (1'b0),                                   // (terminated),                       
		.reset_req_in6  (1'b0),                                   // (terminated),                       
		.reset_in7      (1'b0),                                   // (terminated),                       
		.reset_req_in7  (1'b0),                                   // (terminated),                       
		.reset_in8      (1'b0),                                   // (terminated),                       
		.reset_req_in8  (1'b0),                                   // (terminated),                       
		.reset_in9      (1'b0),                                   // (terminated),                       
		.reset_req_in9  (1'b0),                                   // (terminated),                       
		.reset_in10     (1'b0),                                   // (terminated),                       
		.reset_req_in10 (1'b0),                                   // (terminated),                       
		.reset_in11     (1'b0),                                   // (terminated),                       
		.reset_req_in11 (1'b0),                                   // (terminated),                       
		.reset_in12     (1'b0),                                   // (terminated),                       
		.reset_req_in12 (1'b0),                                   // (terminated),                       
		.reset_in13     (1'b0),                                   // (terminated),                       
		.reset_req_in13 (1'b0),                                   // (terminated),                       
		.reset_in14     (1'b0),                                   // (terminated),                       
		.reset_req_in14 (1'b0),                                   // (terminated),                       
		.reset_in15     (1'b0),                                   // (terminated),                       
		.reset_req_in15 (1'b0)                                    // (terminated),                       
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (2),
		.OUTPUT_RESET_SYNC_EDGES   ("both"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_002 (
		.reset_in0      (nios2_gen2_debug_reset_request_reset), //   input,  width = 1, reset_in0.reset
		.reset_in1      (~reset_in_out_reset_reset),            //   input,  width = 1, reset_in1.reset
		.clk            (clock_in_out_clk_clk),                 //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_002_reset_out_reset),   //  output,  width = 1, reset_out.reset
		.reset_req      (),                                     // (terminated),                       
		.reset_req_in0  (1'b0),                                 // (terminated),                       
		.reset_req_in1  (1'b0),                                 // (terminated),                       
		.reset_in2      (1'b0),                                 // (terminated),                       
		.reset_req_in2  (1'b0),                                 // (terminated),                       
		.reset_in3      (1'b0),                                 // (terminated),                       
		.reset_req_in3  (1'b0),                                 // (terminated),                       
		.reset_in4      (1'b0),                                 // (terminated),                       
		.reset_req_in4  (1'b0),                                 // (terminated),                       
		.reset_in5      (1'b0),                                 // (terminated),                       
		.reset_req_in5  (1'b0),                                 // (terminated),                       
		.reset_in6      (1'b0),                                 // (terminated),                       
		.reset_req_in6  (1'b0),                                 // (terminated),                       
		.reset_in7      (1'b0),                                 // (terminated),                       
		.reset_req_in7  (1'b0),                                 // (terminated),                       
		.reset_in8      (1'b0),                                 // (terminated),                       
		.reset_req_in8  (1'b0),                                 // (terminated),                       
		.reset_in9      (1'b0),                                 // (terminated),                       
		.reset_req_in9  (1'b0),                                 // (terminated),                       
		.reset_in10     (1'b0),                                 // (terminated),                       
		.reset_req_in10 (1'b0),                                 // (terminated),                       
		.reset_in11     (1'b0),                                 // (terminated),                       
		.reset_req_in11 (1'b0),                                 // (terminated),                       
		.reset_in12     (1'b0),                                 // (terminated),                       
		.reset_req_in12 (1'b0),                                 // (terminated),                       
		.reset_in13     (1'b0),                                 // (terminated),                       
		.reset_req_in13 (1'b0),                                 // (terminated),                       
		.reset_in14     (1'b0),                                 // (terminated),                       
		.reset_req_in14 (1'b0),                                 // (terminated),                       
		.reset_in15     (1'b0),                                 // (terminated),                       
		.reset_req_in15 (1'b0)                                  // (terminated),                       
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("both"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_003 (
		.reset_in0      (~reset_in_out_reset_reset),          //   input,  width = 1, reset_in0.reset
		.clk            (clock_in_out_clk_clk),               //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_003_reset_out_reset), //  output,  width = 1, reset_out.reset
		.reset_req      (),                                   // (terminated),                       
		.reset_req_in0  (1'b0),                               // (terminated),                       
		.reset_in1      (1'b0),                               // (terminated),                       
		.reset_req_in1  (1'b0),                               // (terminated),                       
		.reset_in2      (1'b0),                               // (terminated),                       
		.reset_req_in2  (1'b0),                               // (terminated),                       
		.reset_in3      (1'b0),                               // (terminated),                       
		.reset_req_in3  (1'b0),                               // (terminated),                       
		.reset_in4      (1'b0),                               // (terminated),                       
		.reset_req_in4  (1'b0),                               // (terminated),                       
		.reset_in5      (1'b0),                               // (terminated),                       
		.reset_req_in5  (1'b0),                               // (terminated),                       
		.reset_in6      (1'b0),                               // (terminated),                       
		.reset_req_in6  (1'b0),                               // (terminated),                       
		.reset_in7      (1'b0),                               // (terminated),                       
		.reset_req_in7  (1'b0),                               // (terminated),                       
		.reset_in8      (1'b0),                               // (terminated),                       
		.reset_req_in8  (1'b0),                               // (terminated),                       
		.reset_in9      (1'b0),                               // (terminated),                       
		.reset_req_in9  (1'b0),                               // (terminated),                       
		.reset_in10     (1'b0),                               // (terminated),                       
		.reset_req_in10 (1'b0),                               // (terminated),                       
		.reset_in11     (1'b0),                               // (terminated),                       
		.reset_req_in11 (1'b0),                               // (terminated),                       
		.reset_in12     (1'b0),                               // (terminated),                       
		.reset_req_in12 (1'b0),                               // (terminated),                       
		.reset_in13     (1'b0),                               // (terminated),                       
		.reset_req_in13 (1'b0),                               // (terminated),                       
		.reset_in14     (1'b0),                               // (terminated),                       
		.reset_req_in14 (1'b0),                               // (terminated),                       
		.reset_in15     (1'b0),                               // (terminated),                       
		.reset_req_in15 (1'b0)                                // (terminated),                       
	);

endmodule
